[Touch-packages] [Bug 1881062] Re: Mouse pointer disappeared after upgrade

2020-05-27 Thread Daniel van Vugt
Please attach your /var/log/apt/history.log so we can see what changed
on the 28th of May.

** Package changed: xorg (Ubuntu) => xorg-server (Ubuntu)

** Also affects: linux (Ubuntu)
   Importance: Undecided
   Status: New

** Changed in: linux (Ubuntu)
   Status: New => Incomplete

** Changed in: xorg-server (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1881062

Title:
  Mouse pointer disappeared after upgrade

Status in linux package in Ubuntu:
  Incomplete
Status in xorg-server package in Ubuntu:
  Incomplete

Bug description:
  Mouse vendor: Elecom
  Mouse name: Deft M-DT20R
  S/N 99011158
  S/N 9700261B
  I have two sets of this model and both are not working any more.
  Wireless USB mouse stopped working after 'sudo apt upgrade' on 0:00 UTC 28th 
May 2020.
  I also upgraded BIOS of ThinkStation P500 from A4KT89US to A4KTA7US just an 
hour before the upgrade.
  However I plugged in an old wired Elecom USB mouse and this is working.
  And also I tried another wireless USB mouse Logicool M570, this model is 
working except the left-click or right-click (means unstable).

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: xorg 1:7.7+19ubuntu14
  ProcVersionSignature: Ubuntu 5.4.0-34.38-generic 5.4.41
  Uname: Linux 5.4.0-34-generic x86_64
  NonfreeKernelModules: nvidia_modeset nvidia
  .proc.driver.nvidia.gpus..03.00.0: Error: [Errno 21] Is a directory: 
'/proc/driver/nvidia/gpus/:03:00.0'
  .proc.driver.nvidia.registry: Binary: ""
  .proc.driver.nvidia.suspend: suspend hibernate resume
  .proc.driver.nvidia.suspend_depth: default modeset uvm
  .proc.driver.nvidia.version:
   NVRM version: NVIDIA UNIX x86_64 Kernel Module  440.64  Fri Feb 21 01:17:26 
UTC 2020
   GCC version:
  .tmp.unity_support_test.0:
   
  ApportVersion: 2.20.11-0ubuntu27.2
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CasperMD5CheckResult: skip
  CompositorRunning: compiz
  CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
  CompositorUnredirectFSW: true
  CurrentDesktop: Unity:Unity7:ubuntu
  Date: Thu May 28 13:14:27 2020
  DistUpgraded: Fresh install
  DistroCodename: focal
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes, if not too technical
  GraphicsCard:
   NVIDIA Corporation GM107GL [Quadro K2200] [10de:13ba] (rev a2) (prog-if 00 
[VGA controller])
 Subsystem: NVIDIA Corporation GM107GL [Quadro K2200] [10de:1097]
  InstallationDate: Installed on 2020-05-25 (3 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  MachineType: LENOVO 30A6S45A16
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-34-generic 
root=UUID=822191be-6b70-4841-97dc-e4c008d418b2 ro quiet splash vt.handoff=7
  SourcePackage: xorg
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 04/13/2020
  dmi.bios.vendor: LENOVO
  dmi.bios.version: A4KTA7AUS
  dmi.board.name: 102F
  dmi.board.vendor: LENOVO
  dmi.board.version: SDK0J40705 WIN 3425060692537
  dmi.chassis.type: 7
  dmi.chassis.vendor: To Be Filled By O.E.M.
  dmi.chassis.version: To Be Filled By O.E.M.
  dmi.modalias: 
dmi:bvnLENOVO:bvrA4KTA7AUS:bd04/13/2020:svnLENOVO:pn30A6S45A16:pvrThinkStationP500:rvnLENOVO:rn102F:rvrSDK0J40705WIN3425060692537:cvnToBeFilledByO.E.M.:ct7:cvrToBeFilledByO.E.M.:
  dmi.product.family: ThinkStation P500
  dmi.product.name: 30A6S45A16
  dmi.product.sku: LENOVO_MT_30A6_BU_Think_FM_ThinkStation P500
  dmi.product.version: ThinkStation P500
  dmi.sys.vendor: LENOVO
  version.compiz: compiz 1:0.9.14.1+20.04.20200211-0ubuntu1
  version.libdrm2: libdrm2 2.4.101-2
  version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.4-2ubuntu1
  version.libgl1-mesa-glx: libgl1-mesa-glx N/A
  version.nvidia-graphics-drivers: nvidia-graphics-drivers-* N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.8-2ubuntu2.1
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1881062/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1881062] [NEW] Mouse pointer disappeared after upgrade

2020-05-27 Thread Sadaharu Wakisaka
Public bug reported:

Mouse vendor: Elecom
Mouse name: Deft M-DT20R
S/N 99011158
S/N 9700261B
I have two sets of this model and both are not working any more.
Wireless USB mouse stopped working after 'sudo apt upgrade' on 0:00 UTC 28th 
May 2020.
I also upgraded BIOS of ThinkStation P500 from A4KT89US to A4KTA7US just an 
hour before the upgrade.
However I plugged in an old wired Elecom USB mouse and this is working.
And also I tried another wireless USB mouse Logicool M570, this model is 
working except the left-click or right-click (means unstable).

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: xorg 1:7.7+19ubuntu14
ProcVersionSignature: Ubuntu 5.4.0-34.38-generic 5.4.41
Uname: Linux 5.4.0-34-generic x86_64
NonfreeKernelModules: nvidia_modeset nvidia
.proc.driver.nvidia.gpus..03.00.0: Error: [Errno 21] Is a directory: 
'/proc/driver/nvidia/gpus/:03:00.0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.suspend: suspend hibernate resume
.proc.driver.nvidia.suspend_depth: default modeset uvm
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86_64 Kernel Module  440.64  Fri Feb 21 01:17:26 
UTC 2020
 GCC version:
.tmp.unity_support_test.0:
 
ApportVersion: 2.20.11-0ubuntu27.2
Architecture: amd64
BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
CasperMD5CheckResult: skip
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity:Unity7:ubuntu
Date: Thu May 28 13:14:27 2020
DistUpgraded: Fresh install
DistroCodename: focal
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes, if not too technical
GraphicsCard:
 NVIDIA Corporation GM107GL [Quadro K2200] [10de:13ba] (rev a2) (prog-if 00 
[VGA controller])
   Subsystem: NVIDIA Corporation GM107GL [Quadro K2200] [10de:1097]
InstallationDate: Installed on 2020-05-25 (3 days ago)
InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
MachineType: LENOVO 30A6S45A16
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-34-generic 
root=UUID=822191be-6b70-4841-97dc-e4c008d418b2 ro quiet splash vt.handoff=7
SourcePackage: xorg
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 04/13/2020
dmi.bios.vendor: LENOVO
dmi.bios.version: A4KTA7AUS
dmi.board.name: 102F
dmi.board.vendor: LENOVO
dmi.board.version: SDK0J40705 WIN 3425060692537
dmi.chassis.type: 7
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: 
dmi:bvnLENOVO:bvrA4KTA7AUS:bd04/13/2020:svnLENOVO:pn30A6S45A16:pvrThinkStationP500:rvnLENOVO:rn102F:rvrSDK0J40705WIN3425060692537:cvnToBeFilledByO.E.M.:ct7:cvrToBeFilledByO.E.M.:
dmi.product.family: ThinkStation P500
dmi.product.name: 30A6S45A16
dmi.product.sku: LENOVO_MT_30A6_BU_Think_FM_ThinkStation P500
dmi.product.version: ThinkStation P500
dmi.sys.vendor: LENOVO
version.compiz: compiz 1:0.9.14.1+20.04.20200211-0ubuntu1
version.libdrm2: libdrm2 2.4.101-2
version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.4-2ubuntu1
version.libgl1-mesa-glx: libgl1-mesa-glx N/A
version.nvidia-graphics-drivers: nvidia-graphics-drivers-* N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.20.8-2ubuntu2.1
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

** Affects: xorg (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug compiz-0.9 focal ubuntu

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1881062

Title:
  Mouse pointer disappeared after upgrade

Status in xorg package in Ubuntu:
  New

Bug description:
  Mouse vendor: Elecom
  Mouse name: Deft M-DT20R
  S/N 99011158
  S/N 9700261B
  I have two sets of this model and both are not working any more.
  Wireless USB mouse stopped working after 'sudo apt upgrade' on 0:00 UTC 28th 
May 2020.
  I also upgraded BIOS of ThinkStation P500 from A4KT89US to A4KTA7US just an 
hour before the upgrade.
  However I plugged in an old wired Elecom USB mouse and this is working.
  And also I tried another wireless USB mouse Logicool M570, this model is 
working except the left-click or right-click (means unstable).

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: xorg 1:7.7+19ubuntu14
  ProcVersionSignature: Ubuntu 5.4.0-34.38-generic 5.4.41
  Uname: Linux 5.4.0-34-generic x86_64
  NonfreeKernelModules: nvidia_modeset nvidia
  .proc.driver.nvidia.gpus..03.00.0: Error: [Errno 21] Is a directory: 
'/proc/driver/nvidia/gpus/:03:00.0'
  .proc.driver.nvidia.registry: Binary: ""
  .proc.driver.nvidia.suspend: suspend hibernate resume
  .proc.driver.nvidia.suspend_depth: default modeset uvm
  .proc.driver.nvidia.version:
   NVRM 

[Touch-packages] [Bug 1874381] Re: LVM device unavailable after 18.04 to 20.04 upgrade Timed out waiting for device /dev/mapper/s5lp8--v g-home

2020-05-27 Thread Steve Langasek
awaiting feedback from the original reporter to confirm that these
particular commands are applicable to his install.

** Changed in: lvm2 (Ubuntu)
   Status: Confirmed => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to lvm2 in Ubuntu.
https://bugs.launchpad.net/bugs/1874381

Title:
  LVM device unavailable after 18.04 to 20.04 upgrade Timed out waiting
  for device /dev/mapper/s5lp8--v g-home

Status in Ubuntu on IBM z Systems:
  Confirmed
Status in lvm2 package in Ubuntu:
  Incomplete
Status in lvm2 source package in Focal:
  Confirmed

Bug description:
  After upgrading an LPAR configured with LVM from 18.04 to 20.04 /home is no 
longer mounted.
  During boot the console shows Timed out waiting for device 
/dev/mapper/s5lp8--vg-home

  Please see the attached dist-upgrade logs and console output for more
  detail.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu-z-systems/+bug/1874381/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1881028] Re: cursor

2020-05-27 Thread Daniel van Vugt
*** This bug is a duplicate of bug 1873052 ***
https://bugs.launchpad.net/bugs/1873052

Thank you for taking the time to report this bug and helping to make
Ubuntu better. This particular bug has already been reported and is a
duplicate of bug 1873052, so it is being marked as such. Please look at
the other bug report to see if there is any missing information that you
can provide, or to see if there is a workaround for the bug.
Additionally, any further discussion regarding the bug should occur in
the other report. Feel free to continue to report any other bugs you may
find.


** This bug has been marked a duplicate of bug 1873052
   GNOME 3.36 Lands Scaled/Transformed Hardware Cursors Support and keeps 
another not scaled cursor mid screen

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1881028

Title:
  cursor

Status in xorg package in Ubuntu:
  New

Bug description:
  After a fresh reboot and login the mouse cursor appears twice:

  there is the "real" cursor moving and working and there is another one
  that is fixed (not moving) but visible on the screen. This is after
  each reboot.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: xorg 1:7.7+19ubuntu14
  ProcVersionSignature: Ubuntu 5.4.0-29.33-generic 5.4.30
  Uname: Linux 5.4.0-29-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CasperMD5CheckResult: skip
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  Date: Wed May 27 23:50:10 2020
  DistUpgraded: Fresh install
  DistroCodename: focal
  DistroVariant: ubuntu
  GraphicsCard:
   Advanced Micro Devices, Inc. [AMD/ATI] Picasso [1002:15d8] (rev d2) (prog-if 
00 [VGA controller])
 Subsystem: Lenovo Picasso [17aa:5125]
  InstallationDate: Installed on 2020-05-16 (11 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  MachineType: LENOVO 20NKS01Y00
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-29-generic 
root=UUID=dfb07cd7-295b-489d-8099-21e4be8f46a3 ro quiet splash
  SourcePackage: xorg
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 02/19/2020
  dmi.bios.vendor: LENOVO
  dmi.bios.version: R12ET50W(1.20 )
  dmi.board.asset.tag: Not Available
  dmi.board.name: 20NKS01Y00
  dmi.board.vendor: LENOVO
  dmi.board.version: Not Defined
  dmi.chassis.asset.tag: No Asset Information
  dmi.chassis.type: 10
  dmi.chassis.vendor: LENOVO
  dmi.chassis.version: None
  dmi.modalias: 
dmi:bvnLENOVO:bvrR12ET50W(1.20):bd02/19/2020:svnLENOVO:pn20NKS01Y00:pvrThinkPadT495:rvnLENOVO:rn20NKS01Y00:rvrNotDefined:cvnLENOVO:ct10:cvrNone:
  dmi.product.family: ThinkPad T495
  dmi.product.name: 20NKS01Y00
  dmi.product.sku: LENOVO_MT_20NK_BU_Think_FM_ThinkPad T495
  dmi.product.version: ThinkPad T495
  dmi.sys.vendor: LENOVO
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.101-2
  version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.4-2ubuntu1
  version.libgl1-mesa-glx: libgl1-mesa-glx N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.8-2ubuntu2
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1881028/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880994] Re: Dock appears twice on the right-hand side

2020-05-27 Thread Daniel van Vugt
Please run 'gnome-shell-extension-prefs' and ensure you don't have
multiple docks enabled.

** Package changed: xorg (Ubuntu) => gnome-shell-extension-dashtodock
(Ubuntu)

** Changed in: gnome-shell-extension-dashtodock (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1880994

Title:
  Dock appears twice on the right-hand side

Status in gnome-shell-extension-dashtodock package in Ubuntu:
  Incomplete

Bug description:
  I have dash to dock enabled and I know there are controls in settings
  too.  Both are set the same yet I have duplication of each icon down
  the right-hand side until I restart the computer. [Go to settings /
  appearance / dock]

  I also have other computers running Ubuntu 20.04 and they occasionally
  have the same issue.  It seems more problamatic on this computer.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: xorg 1:7.7+19ubuntu14
  ProcVersionSignature: Ubuntu 5.4.0-31.35-generic 5.4.34
  Uname: Linux 5.4.0-31-generic x86_64
  NonfreeKernelModules: wl
  .tmp.unity_support_test.0:
   
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CasperMD5CheckResult: skip
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  Date: Wed May 27 17:48:20 2020
  DistUpgraded: Fresh install
  DistroCodename: focal
  DistroVariant: ubuntu
  DkmsStatus:
   bcmwl, 6.30.223.271+bdcom, 5.4.0-29-generic, x86_64: installed
   bcmwl, 6.30.223.271+bdcom, 5.4.0-31-generic, x86_64: installed
  ExtraDebuggingInterest: Yes, if not too technical
  GraphicsCard:
   Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller 
[8086:2a42] (rev 07) (prog-if 00 [VGA controller])
 Subsystem: Dell Mobile 4 Series Chipset Integrated Graphics Controller 
[1028:02aa]
 Subsystem: Dell Mobile 4 Series Chipset Integrated Graphics Controller 
[1028:02aa]
  InstallationDate: Installed on 2018-12-05 (538 days ago)
  InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 
(20180725)
  MachineType: Dell Inc. Inspiron 1545
  ProcEnviron:
   LANGUAGE=en_GB:en
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_GB.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-31-generic 
root=UUID=055bb0cc-1140-4347-bce1-ed984da230fb ro quiet splash vt.handoff=7
  SourcePackage: xorg
  Symptom: display
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 12/07/2009
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: A14
  dmi.board.name: 0G848F
  dmi.board.vendor: Dell Inc.
  dmi.chassis.type: 8
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: 
dmi:bvnDellInc.:bvrA14:bd12/07/2009:svnDellInc.:pnInspiron1545:pvr:rvnDellInc.:rn0G848F:rvr:cvnDellInc.:ct8:cvr:
  dmi.product.name: Inspiron 1545
  dmi.sys.vendor: Dell Inc.
  version.compiz: compiz 1:0.9.14.1+20.04.20200211-0ubuntu1
  version.libdrm2: libdrm2 2.4.101-2
  version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.4-2ubuntu1
  version.libgl1-mesa-glx: libgl1-mesa-glx 20.0.4-2ubuntu1
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.8-2ubuntu2
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-shell-extension-dashtodock/+bug/1880994/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880991] Re: Xorg freeze

2020-05-27 Thread Daniel van Vugt
Thank you for taking the time to report this bug and helping to make
Ubuntu better. It sounds like some part of the system has crashed. To
help us find the cause of the crash please follow these steps:

1. Look in /var/crash for crash files and if found run:
ubuntu-bug YOURFILE.crash
Then tell us the ID of the newly-created bug.

2. If step 1 failed then look at https://errors.ubuntu.com/user/ID where
ID is the content of file /var/lib/whoopsie/whoopsie-id on the machine.
Do you find any links to recent problems on that page? If so then please
send the links to us.

3. If step 2 also failed then apply the workaround from bug 994921,
reboot, reproduce the crash, and retry step 1.

Please take care to avoid attaching .crash files to bugs as we are
unable to process them as file attachments. It would also be a security
risk for yourself.

** Tags added: nvidia

** Summary changed:

- Xorg freeze
+ [nvidia] Xorg freeze

** Package changed: xorg (Ubuntu) => xorg-server (Ubuntu)

** Changed in: xorg-server (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1880991

Title:
  [nvidia] Xorg freeze

Status in xorg-server package in Ubuntu:
  Incomplete

Bug description:
  Sometimes there is an X11 freeze. Usually it happens when I connect to
  a Zoom conference, but latest (and at least one previous) it happened
  when I wasn't using Zoom. The symptoms were same: still image, but
  mouse cursor could be moved. I can switch to another terminal
  (ctrl+alt+f1), when I return to the GUI, there is only black screen
  with moving mouse cursor.

  I can only restart lightdm.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: xorg 1:7.7+19ubuntu14
  ProcVersionSignature: Ubuntu 5.4.0-31.35-generic 5.4.34
  Uname: Linux 5.4.0-31-generic x86_64
  NonfreeKernelModules: nvidia
  .proc.driver.nvidia.gpus..01.00.0: Error: [Errno 21] Это каталог: 
'/proc/driver/nvidia/gpus/:01:00.0'
  .proc.driver.nvidia.registry: Binary: ""
  .proc.driver.nvidia.version:
   NVRM version: NVIDIA UNIX x86_64 Kernel Module  340.108  Wed Dec 11 11:06:58 
PST 2019
   GCC version:  gcc version 9.3.0 (Ubuntu 9.3.0-10ubuntu2)
  .proc.driver.nvidia.warnings.fbdev:
   Your system is not currently configured to drive a VGA console
   on the primary VGA device. The NVIDIA Linux graphics driver
   requires the use of a text-mode VGA console. Use of other console
   drivers including, but not limited to, vesafb, may result in
   corruption and stability problems, and is not supported.
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  BootLog: Error: [Errno 13] Отказано в доступе: '/var/log/boot.log'
  CasperMD5CheckResult: skip
  CompositorRunning: None
  CurrentDesktop: XFCE
  Date: Wed May 27 19:49:30 2020
  DistUpgraded: Fresh install
  DistroCodename: focal
  DistroVariant: ubuntu
  DkmsStatus:
   nvidia-340, 340.108, 5.4.0-29-generic, x86_64: installed
   nvidia-340, 340.108, 5.4.0-31-generic, x86_64: installed
  ExtraDebuggingInterest: Yes
  GraphicsCard:
   NVIDIA Corporation GT218 [GeForce 210] [10de:0a65] (rev a2) (prog-if 00 [VGA 
controller])
 Subsystem: Gigabyte Technology Co., Ltd GT218 [GeForce 210] [1458:3525]
  InstallationDate: Installed on 2020-05-09 (17 days ago)
  InstallationMedia: Xubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  MachineType: Gigabyte Technology Co., Ltd. To be filled by O.E.M.
  ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-5.4.0-31-generic 
root=/dev/mapper/vgxubuntu-root ro iommu=soft quiet splash
  SourcePackage: xorg
  Symptom: display
  Title: Xorg freeze
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 02/26/2016
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: FC
  dmi.board.asset.tag: To be filled by O.E.M.
  dmi.board.name: 970A-UD3P
  dmi.board.vendor: Gigabyte Technology Co., Ltd.
  dmi.board.version: To be filled by O.E.M.
  dmi.chassis.asset.tag: To Be Filled By O.E.M.
  dmi.chassis.type: 3
  dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
  dmi.chassis.version: To Be Filled By O.E.M.
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrFC:bd02/26/2016:svnGigabyteTechnologyCo.,Ltd.:pnTobefilledbyO.E.M.:pvrTobefilledbyO.E.M.:rvnGigabyteTechnologyCo.,Ltd.:rn970A-UD3P:rvrTobefilledbyO.E.M.:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvrToBeFilledByO.E.M.:
  dmi.product.family: To be filled by O.E.M.
  dmi.product.name: To be filled by O.E.M.
  dmi.product.sku: To be filled by O.E.M.
  dmi.product.version: To be filled by O.E.M.
  dmi.sys.vendor: Gigabyte Technology Co., Ltd.
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.101-2
  version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.4-2ubuntu1
  version.libgl1-mesa-glx: libgl1-mesa-glx 20.0.4-2ubuntu1
  version.nvidia-graphics-drivers: nvidia-graphics-drivers-* N/A
  version.xserver-xorg-core: xserver-xorg-core 

[Touch-packages] [Bug 1557157] Re: apparmor profile denied for saslauthd: /run/saslauthd/mux

2020-05-27 Thread Rafael David Tinoco
** Also affects: openldap (Ubuntu Trusty)
   Importance: Undecided
   Status: New

** Changed in: openldap (Ubuntu Trusty)
   Status: New => Triaged

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openldap in Ubuntu.
https://bugs.launchpad.net/bugs/1557157

Title:
  apparmor profile denied for saslauthd: /run/saslauthd/mux

Status in openldap package in Ubuntu:
  Incomplete
Status in openldap source package in Trusty:
  Triaged

Bug description:
  When using slapd with saslauthd the processes communicate via the
  {,/var}/run/saslauthd/mux socket (this is the default location for the
  saslauthd server from the sasl2-bin package in the
  /etc/default/saslauthd config), but the apparmor profile for
  usr.sbin.slapd does not allow access to this socket/file.

  Syslog message:
  apparmor="DENIED" operation="connect" profile="/usr/sbin/slapd" 
name="/run/saslauthd/mux" pid=1880
  4 comm="slapd" requested_mask="r" denied_mask="r" fsuid=108 ouid=0

  
  Please add the following line to  /etc/apparmor.d/usr.sbin.slapd:
  /{,var/}run/saslauthd/mux rw,

  
  Ubuntu version: Ubuntu 14.04.4 LTS
  slapd version: 2.4.31-1+nmu2ubu

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1557157/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1881044] [NEW] wrong wayland dmabuf format selection with Intel iris

2020-05-27 Thread Christian Rauch
Public bug reported:

On Mesa 20.0.4, the Intel Iris driver is affected by an issue with
selecting the appropriate dma buffer format on Wayland
(https://gitlab.freedesktop.org/mesa/mesa/-/merge_requests/4869).

This issue will prevent using most OpenGL applications on Wayland. You
can check if you are affected by this issue by running
`es2gears_wayland`. On affected systems, this will fail with `error 7:
failed to import supplied dmabufs: Unsupported buffer format 808669784`.

This issue has been fixed in Mesa 20.0.7. Please consider backporting
this version to Ubuntu 20.04 and 18.04.5.

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: libgl1-mesa-dri 20.0.4-2ubuntu1
ProcVersionSignature: Ubuntu 5.4.0-31.35-generic 5.4.34
Uname: Linux 5.4.0-31-generic x86_64
ApportVersion: 2.20.11-0ubuntu27
Architecture: amd64
BootLog: Error: [Errno 13] Keine Berechtigung: '/var/log/boot.log'
CasperMD5CheckResult: skip
CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
CurrentDesktop: ubuntu:GNOME
Date: Thu May 28 01:12:44 2020
DistUpgraded: 2020-04-26 01:28:24,019 ERROR got error from PostInstallScript 
./xorg_fix_proprietary.py (g-exec-error-quark: Kindprozess 
»./xorg_fix_proprietary.py« konnte nicht ausgeführt werden (Datei oder 
Verzeichnis nicht gefunden) (8))
DistroCodename: focal
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes
GraphicsCard:
 Intel Corporation HD Graphics 5500 [8086:1616] (rev 09) (prog-if 00 [VGA 
controller])
   Subsystem: Lenovo HD Graphics 5500 [17aa:5034]
MachineType: LENOVO 20BUS15H00
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-31-generic 
root=UUID=d1694733-96aa-4a12-9c6f-2ed18308ab56 ro quiet splash vt.handoff=7
SourcePackage: mesa
UpgradeStatus: Upgraded to focal on 2020-04-26 (31 days ago)
dmi.bios.date: 08/14/2019
dmi.bios.vendor: LENOVO
dmi.bios.version: JBET73WW (1.37 )
dmi.board.asset.tag: Not Available
dmi.board.name: 20BUS15H00
dmi.board.vendor: LENOVO
dmi.board.version: SDK0E50510 WIN
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: None
dmi.modalias: 
dmi:bvnLENOVO:bvrJBET73WW(1.37):bd08/14/2019:svnLENOVO:pn20BUS15H00:pvrThinkPadT450:rvnLENOVO:rn20BUS15H00:rvrSDK0E50510WIN:cvnLENOVO:ct10:cvrNone:
dmi.product.family: ThinkPad T450
dmi.product.name: 20BUS15H00
dmi.product.sku: LENOVO_MT_20BU_BU_Think_FM_ThinkPad T450
dmi.product.version: ThinkPad T450
dmi.sys.vendor: LENOVO
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.101-2
version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.4-2ubuntu1
version.libgl1-mesa-glx: libgl1-mesa-glx 20.0.4-2ubuntu1
version.xserver-xorg-core: xserver-xorg-core 2:1.20.8-2ubuntu2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

** Affects: mesa (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug focal ubuntu wayland-session

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1881044

Title:
  wrong wayland dmabuf format selection with Intel iris

Status in mesa package in Ubuntu:
  New

Bug description:
  On Mesa 20.0.4, the Intel Iris driver is affected by an issue with
  selecting the appropriate dma buffer format on Wayland
  (https://gitlab.freedesktop.org/mesa/mesa/-/merge_requests/4869).

  This issue will prevent using most OpenGL applications on Wayland. You
  can check if you are affected by this issue by running
  `es2gears_wayland`. On affected systems, this will fail with `error 7:
  failed to import supplied dmabufs: Unsupported buffer format
  808669784`.

  This issue has been fixed in Mesa 20.0.7. Please consider backporting
  this version to Ubuntu 20.04 and 18.04.5.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: libgl1-mesa-dri 20.0.4-2ubuntu1
  ProcVersionSignature: Ubuntu 5.4.0-31.35-generic 5.4.34
  Uname: Linux 5.4.0-31-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  BootLog: Error: [Errno 13] Keine Berechtigung: '/var/log/boot.log'
  CasperMD5CheckResult: skip
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  Date: Thu May 28 01:12:44 2020
  DistUpgraded: 2020-04-26 01:28:24,019 ERROR got error from PostInstallScript 
./xorg_fix_proprietary.py (g-exec-error-quark: Kindprozess 
»./xorg_fix_proprietary.py« konnte nicht ausgeführt werden (Datei oder 
Verzeichnis nicht gefunden) (8))
  DistroCodename: focal
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes
  GraphicsCard:
   Intel Corporation HD Graphics 5500 [8086:1616] (rev 09) (prog-if 00 [VGA 
controller])
 Subsystem: Lenovo HD Graphics 5500 [17aa:5034]
  

[Touch-packages] [Bug 1879945] Re: package mime-support 3.64ubuntu1 failed to install/upgrade: el subproceso visualizador de diferencias entre conffiles devolvió el código de salida de error 127

2020-05-27 Thread Kai Kasurinen
*** This bug is a duplicate of bug 1874953 ***
https://bugs.launchpad.net/bugs/1874953

** This bug has been marked a duplicate of bug 1874953
   package smartmontools 7.1-1build1 failed to install/upgrade: conffile 
difference visualizer subprocess returned error exit status 127

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mime-support in Ubuntu.
https://bugs.launchpad.net/bugs/1879945

Title:
  package mime-support 3.64ubuntu1 failed to install/upgrade: el
  subproceso visualizador de diferencias entre conffiles devolvió el
  código de salida de error 127

Status in mime-support package in Ubuntu:
  New

Bug description:
  none

  ProblemType: Package
  DistroRelease: Ubuntu 20.04
  Package: mime-support 3.64ubuntu1
  ProcVersionSignature: Ubuntu 5.4.0-31.35-generic 5.4.34
  Uname: Linux 5.4.0-31-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: skip
  Date: Thu May 21 14:37:40 2020
  ErrorMessage: el subproceso visualizador de diferencias entre conffiles 
devolvió el código de salida de error 127
  InstallationDate: Installed on 2020-02-23 (88 days ago)
  InstallationMedia: Ubuntu 18.04.4 LTS "Bionic Beaver" - Release amd64 
(20200203.1)
  PackageArchitecture: all
  Python3Details: /usr/bin/python3.8, Python 3.8.2, python3-minimal, 
3.8.2-0ubuntu2
  PythonDetails: /usr/bin/python2.7, Python 2.7.18rc1, python-is-python2, 
2.7.17-4
  RelatedPackageVersions:
   dpkg 1.19.7ubuntu3
   apt  2.0.2ubuntu0.1
  SourcePackage: mime-support
  Title: package mime-support 3.64ubuntu1 failed to install/upgrade: el 
subproceso visualizador de diferencias entre conffiles devolvió el código de 
salida de error 127
  UpgradeStatus: Upgraded to focal on 2020-05-21 (0 days ago)
  mtime.conffile..etc.mime.types: 2020-05-06T13:49:46.794140

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mime-support/+bug/1879945/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1804847] Re: systemd=229-4ubuntu21.8 use of fchownat failes on some systems (openvz)

2020-05-27 Thread Seth Arnold
Richard, I suggest going to https://askubuntu.com/ or #ubuntu on
irc.freenode.net for interactive help.

Thanks

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1804847

Title:
  systemd=229-4ubuntu21.8 use of fchownat failes on some systems
  (openvz)

Status in systemd package in Ubuntu:
  Fix Released

Bug description:
  The following description is taken from:

  https://answers.launchpad.net/ubuntu/+source/systemd/+question/676237

  Hello everyone,
  I'm running 16.04 LTS on a virtual server which, I think, uses OpenVz. After 
a recent reboot I found most of my services to be in a failed state. The reason 
for that, I guess, are these log entries:

  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of 
/run/elasticsearch failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of /run/kopano 
failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of /run/kopano 
failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of /run/php 
failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of /run/postgresql 
failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of /run/redis 
failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of /run/screen 
failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of /run/utmp 
failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of 
/run/systemd/netif failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of 
/run/systemd/netif/links failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of 
/run/systemd/netif/leases failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of 
/run/log/journal failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of 
/run/log/journal/bbad3a438f4b4fb49e5d0700bd5981e8 failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of 
/run/log/journal/bbad3a438f4b4fb49e5d0700bd5981e8/system.journal failed: 
Invalid argument

  To verify I tried this:

  /usr/lib/tmpfiles.d# SYSTEMD_LOG_LEVEL=debug systemd-tmpfiles --create 
elasticsearch.conf
  Reading config file "elasticsearch.conf".
  Running create action for entry d /var/run/elasticsearch
  Found existing directory "/var/run/elasticsearch".
  "/run/elasticsearch" has right mode 40755
  chown "/run/elasticsearch" to 120.128
  fchownat() of /run/elasticsearch failed: Invalid argument

  I can manually chown the directories, e.g. "chown
  elasticsearch:elasticsearch /var/run/elasticsearch" and restart the
  service successfully.  My suspicion is, this is related to an upgrade
  of systemd to 229-4ubuntu21.8.

  At this point I don't know what to do.

  I'm also confused about the version I have installed, which I thought is 
systemd-229. Howver, I looked at 
https://github.com/systemd/systemd/blob/v229/src/tmpfiles/tmpfiles.c and found 
that fchownat() is only used from version 238+:
  Tag v237 (and earlier, including 229):
  /.../
  if (chown(fn,
    i->uid_set ? i->uid : UID_INVALID,
    i->gid_set ? i->gid : GID_INVALID) < 0)
  return log_error_errno(errno, "chown(%s) 
failed: %m", path);
  }
  /.../

  Tag v238

  /.../
  if (fchownat(fd,
   "",
   i->uid_set ? i->uid : UID_INVALID,
   i->gid_set ? i->gid : GID_INVALID,
   AT_EMPTY_PATH) < 0)
  return log_error_errno(errno, "fchownat() of %s failed: %m", path);
  /.../

  Any help fixing this problem would be highly appreciated.
  Many thanks,
  Rafael

  === Notes ===
  fchownat() was added to Linux in kernel 2.6.16;
  library support was added to glibc in version 2.4.
  checkinf if it is blocked/filtered/sandboxed, rarther than unavailable.
  glibc in bionic requires minimum linux 3.2.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1804847/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1874953] Re: package smartmontools 7.1-1build1 failed to install/upgrade: conffile difference visualizer subprocess returned error exit status 127

2020-05-27 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: less (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to less in Ubuntu.
https://bugs.launchpad.net/bugs/1874953

Title:
  package smartmontools 7.1-1build1 failed to install/upgrade: conffile
  difference visualizer subprocess returned error exit status 127

Status in dpkg package in Ubuntu:
  Triaged
Status in less package in Ubuntu:
  Confirmed
Status in smartmontools package in Ubuntu:
  Invalid
Status in dpkg package in Debian:
  Unknown

Bug description:
  Issue occurred on upgrade from 19.10 to 20.04

  ProblemType: Package
  DistroRelease: Ubuntu 20.04
  Package: smartmontools 7.1-1build1
  ProcVersionSignature: Ubuntu 5.3.0-46.38-generic 5.3.18
  Uname: Linux 5.3.0-46-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: skip
  Date: Fri Apr 24 21:33:08 2020
  ErrorMessage: conffile difference visualizer subprocess returned error exit 
status 127
  InstallationDate: Installed on 2011-06-18 (3233 days ago)
  InstallationMedia: Ubuntu-Server 11.04 "Natty Narwhal" - Release amd64 
(20110426)
  Python3Details: /usr/bin/python3.8, Python 3.8.2, python3-minimal, 
3.8.2-0ubuntu2
  PythonDetails: /usr/bin/python2.7, Python 2.7.18rc1, python-is-python2, 
2.7.17-4
  RelatedPackageVersions:
   dpkg 1.19.7ubuntu3
   apt  2.0.2
  SourcePackage: smartmontools
  Title: package smartmontools 7.1-1build1 failed to install/upgrade: conffile 
difference visualizer subprocess returned error exit status 127
  UpgradeStatus: Upgraded to focal on 2020-04-25 (0 days ago)
  mtime.conffile..etc.default.smartmontools: 2017-12-08T19:12:02.064375
  mtime.conffile..etc.smartd.conf: 2017-12-08T20:27:28.727282

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/dpkg/+bug/1874953/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1874953] Re: package smartmontools 7.1-1build1 failed to install/upgrade: conffile difference visualizer subprocess returned error exit status 127

2020-05-27 Thread Kai Kasurinen
** Bug watch added: Debian Bug tracker #856216
   https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=856216

** Also affects: dpkg (Debian) via
   https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=856216
   Importance: Unknown
   Status: Unknown

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to less in Ubuntu.
https://bugs.launchpad.net/bugs/1874953

Title:
  package smartmontools 7.1-1build1 failed to install/upgrade: conffile
  difference visualizer subprocess returned error exit status 127

Status in dpkg package in Ubuntu:
  Triaged
Status in less package in Ubuntu:
  New
Status in smartmontools package in Ubuntu:
  Invalid
Status in dpkg package in Debian:
  Unknown

Bug description:
  Issue occurred on upgrade from 19.10 to 20.04

  ProblemType: Package
  DistroRelease: Ubuntu 20.04
  Package: smartmontools 7.1-1build1
  ProcVersionSignature: Ubuntu 5.3.0-46.38-generic 5.3.18
  Uname: Linux 5.3.0-46-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: skip
  Date: Fri Apr 24 21:33:08 2020
  ErrorMessage: conffile difference visualizer subprocess returned error exit 
status 127
  InstallationDate: Installed on 2011-06-18 (3233 days ago)
  InstallationMedia: Ubuntu-Server 11.04 "Natty Narwhal" - Release amd64 
(20110426)
  Python3Details: /usr/bin/python3.8, Python 3.8.2, python3-minimal, 
3.8.2-0ubuntu2
  PythonDetails: /usr/bin/python2.7, Python 2.7.18rc1, python-is-python2, 
2.7.17-4
  RelatedPackageVersions:
   dpkg 1.19.7ubuntu3
   apt  2.0.2
  SourcePackage: smartmontools
  Title: package smartmontools 7.1-1build1 failed to install/upgrade: conffile 
difference visualizer subprocess returned error exit status 127
  UpgradeStatus: Upgraded to focal on 2020-04-25 (0 days ago)
  mtime.conffile..etc.default.smartmontools: 2017-12-08T19:12:02.064375
  mtime.conffile..etc.smartd.conf: 2017-12-08T20:27:28.727282

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/dpkg/+bug/1874953/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1871154] Re: Error message displayed during boot (mountroot hook, premount)

2020-05-27 Thread Launchpad Bug Tracker
This bug was fixed in the package lvm2 - 2.03.07-1ubuntu2

---
lvm2 (2.03.07-1ubuntu2) groovy; urgency=medium

  * Fix incorrect path to mountroot fail hook. LP: #1871154

 -- Dimitri John Ledkov   Tue, 26 May 2020 13:11:44
+0100

** Changed in: lvm2 (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to lvm2 in Ubuntu.
https://bugs.launchpad.net/bugs/1871154

Title:
  Error message displayed during boot (mountroot hook, premount)

Status in lvm2 package in Ubuntu:
  Fix Released

Bug description:
  Hi,

  my Ubuntu system uses LVM2 for its root file system.  It boots
  correctly, but an ugly error message is displayed during boot.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: lvm2 2.03.07-1ubuntu1
  Uname: Linux 5.6.2-050602-generic x86_64
  ApportVersion: 2.20.11-0ubuntu22
  Architecture: amd64
  CurrentDesktop: KDE
  Date: Mon Apr  6 17:59:03 2020
  SourcePackage: lvm2
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/lvm2/+bug/1871154/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1874953] Re: package smartmontools 7.1-1build1 failed to install/upgrade: conffile difference visualizer subprocess returned error exit status 127

2020-05-27 Thread Kai Kasurinen
probably related to:

less (551-1) sid; urgency=low
  * move binaries back to /usr/bin (closes: #500092)

** Changed in: smartmontools (Ubuntu)
   Status: Triaged => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to less in Ubuntu.
https://bugs.launchpad.net/bugs/1874953

Title:
  package smartmontools 7.1-1build1 failed to install/upgrade: conffile
  difference visualizer subprocess returned error exit status 127

Status in dpkg package in Ubuntu:
  Triaged
Status in less package in Ubuntu:
  New
Status in smartmontools package in Ubuntu:
  Invalid

Bug description:
  Issue occurred on upgrade from 19.10 to 20.04

  ProblemType: Package
  DistroRelease: Ubuntu 20.04
  Package: smartmontools 7.1-1build1
  ProcVersionSignature: Ubuntu 5.3.0-46.38-generic 5.3.18
  Uname: Linux 5.3.0-46-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: skip
  Date: Fri Apr 24 21:33:08 2020
  ErrorMessage: conffile difference visualizer subprocess returned error exit 
status 127
  InstallationDate: Installed on 2011-06-18 (3233 days ago)
  InstallationMedia: Ubuntu-Server 11.04 "Natty Narwhal" - Release amd64 
(20110426)
  Python3Details: /usr/bin/python3.8, Python 3.8.2, python3-minimal, 
3.8.2-0ubuntu2
  PythonDetails: /usr/bin/python2.7, Python 2.7.18rc1, python-is-python2, 
2.7.17-4
  RelatedPackageVersions:
   dpkg 1.19.7ubuntu3
   apt  2.0.2
  SourcePackage: smartmontools
  Title: package smartmontools 7.1-1build1 failed to install/upgrade: conffile 
difference visualizer subprocess returned error exit status 127
  UpgradeStatus: Upgraded to focal on 2020-04-25 (0 days ago)
  mtime.conffile..etc.default.smartmontools: 2017-12-08T19:12:02.064375
  mtime.conffile..etc.smartd.conf: 2017-12-08T20:27:28.727282

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/dpkg/+bug/1874953/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1874953] Re: package smartmontools 7.1-1build1 failed to install/upgrade: conffile difference visualizer subprocess returned error exit status 127

2020-05-27 Thread Kai Kasurinen
** Also affects: less (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to less in Ubuntu.
https://bugs.launchpad.net/bugs/1874953

Title:
  package smartmontools 7.1-1build1 failed to install/upgrade: conffile
  difference visualizer subprocess returned error exit status 127

Status in dpkg package in Ubuntu:
  Triaged
Status in less package in Ubuntu:
  New
Status in smartmontools package in Ubuntu:
  Triaged

Bug description:
  Issue occurred on upgrade from 19.10 to 20.04

  ProblemType: Package
  DistroRelease: Ubuntu 20.04
  Package: smartmontools 7.1-1build1
  ProcVersionSignature: Ubuntu 5.3.0-46.38-generic 5.3.18
  Uname: Linux 5.3.0-46-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: skip
  Date: Fri Apr 24 21:33:08 2020
  ErrorMessage: conffile difference visualizer subprocess returned error exit 
status 127
  InstallationDate: Installed on 2011-06-18 (3233 days ago)
  InstallationMedia: Ubuntu-Server 11.04 "Natty Narwhal" - Release amd64 
(20110426)
  Python3Details: /usr/bin/python3.8, Python 3.8.2, python3-minimal, 
3.8.2-0ubuntu2
  PythonDetails: /usr/bin/python2.7, Python 2.7.18rc1, python-is-python2, 
2.7.17-4
  RelatedPackageVersions:
   dpkg 1.19.7ubuntu3
   apt  2.0.2
  SourcePackage: smartmontools
  Title: package smartmontools 7.1-1build1 failed to install/upgrade: conffile 
difference visualizer subprocess returned error exit status 127
  UpgradeStatus: Upgraded to focal on 2020-04-25 (0 days ago)
  mtime.conffile..etc.default.smartmontools: 2017-12-08T19:12:02.064375
  mtime.conffile..etc.smartd.conf: 2017-12-08T20:27:28.727282

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/dpkg/+bug/1874953/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1874812] Re: package mime-support 3.64ubuntu1 failed to install/upgrade: conffile difference visualizer subprocess returned error exit status 127

2020-05-27 Thread Kai Kasurinen
*** This bug is a duplicate of bug 1874953 ***
https://bugs.launchpad.net/bugs/1874953

** This bug has been marked a duplicate of bug 1874953
   package smartmontools 7.1-1build1 failed to install/upgrade: conffile 
difference visualizer subprocess returned error exit status 127

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mime-support in Ubuntu.
https://bugs.launchpad.net/bugs/1874812

Title:
  package mime-support 3.64ubuntu1 failed to install/upgrade: conffile
  difference visualizer subprocess returned error exit status 127

Status in mime-support package in Ubuntu:
  Confirmed

Bug description:
  just appeared when i booted my ubuntu 20.04

  ProblemType: Package
  DistroRelease: Ubuntu 20.04
  Package: mime-support 3.64ubuntu1
  ProcVersionSignature: Ubuntu 5.4.0-26.30-generic 5.4.30
  Uname: Linux 5.4.0-26-generic x86_64
  NonfreeKernelModules: nvidia_modeset nvidia
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: skip
  Date: Fri Apr 24 15:16:53 2020
  ErrorMessage: conffile difference visualizer subprocess returned error exit 
status 127
  InstallationDate: Installed on 2019-12-10 (135 days ago)
  InstallationMedia: Ubuntu 18.04.3 LTS "Bionic Beaver" - Release amd64 
(20190805)
  PackageArchitecture: all
  Python3Details: /usr/bin/python3.8, Python 3.8.2, python3-minimal, 
3.8.2-0ubuntu2
  PythonDetails: /usr/bin/python2.7, Python 2.7.18rc1, python-is-python2, 
2.7.17-4
  RelatedPackageVersions:
   dpkg 1.19.7ubuntu3
   apt  2.0.2
  SourcePackage: mime-support
  Title: package mime-support 3.64ubuntu1 failed to install/upgrade: conffile 
difference visualizer subprocess returned error exit status 127
  UpgradeStatus: Upgraded to focal on 2020-04-24 (0 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mime-support/+bug/1874812/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1873444] Re: package apparmor-profiles 2.13.3-7ubuntu5 failed to install/upgrade: conffile difference visualizer subprocess returned error exit status 127

2020-05-27 Thread Kai Kasurinen
*** This bug is a duplicate of bug 1874953 ***
https://bugs.launchpad.net/bugs/1874953

** This bug has been marked a duplicate of bug 1874953
   package smartmontools 7.1-1build1 failed to install/upgrade: conffile 
difference visualizer subprocess returned error exit status 127

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apparmor in Ubuntu.
https://bugs.launchpad.net/bugs/1873444

Title:
  package apparmor-profiles 2.13.3-7ubuntu5 failed to install/upgrade:
  conffile difference visualizer subprocess returned error exit status
  127

Status in apparmor package in Ubuntu:
  New

Bug description:
  Was testing the 18.04->20.04 upgrade on a small dns and dns over tls
  server, had edited the apparmor profile for dnsmasq to fix something a
  long time ago, I had tried to view the differences, and after seeing
  the massive change tried to accept the new version when it failed.

  ProblemType: Package
  DistroRelease: Ubuntu 20.04
  Package: apparmor-profiles 2.13.3-7ubuntu5
  ProcVersionSignature: Ubuntu 4.15.0-1065.69-aws 4.15.18
  Uname: Linux 4.15.0-1065-aws x86_64
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: skip
  Date: Fri Apr 17 06:08:36 2020
  Ec2AMI: ami-08b5eb6619fd09d54
  Ec2AMIManifest: (unknown)
  Ec2AvailabilityZone: us-east-1a
  Ec2InstanceType: t3.nano
  Ec2Kernel: unavailable
  Ec2Ramdisk: unavailable
  ErrorMessage: conffile difference visualizer subprocess returned error exit 
status 127
  PackageArchitecture: all
  ProcKernelCmdline: BOOT_IMAGE=/boot/vmlinuz-4.15.0-1065-aws 
root=UUID=bbf64c6d-bc15-4ae0-aa4c-608fd9820d95 ro console=tty1 console=ttyS0 
nvme.io_timeout=4294967295
  Python3Details: /usr/bin/python3.8, Python 3.8.2, python3-minimal, 
3.8.2-0ubuntu2
  PythonDetails: /usr/bin/python2.7, Python 2.7.18rc1, python-is-python2, 
2.7.17-4
  RelatedPackageVersions:
   dpkg 1.19.7ubuntu3
   apt  2.0.2
  SourcePackage: apparmor
  Syslog:
   Apr 16 13:06:57 dns dbus-daemon[883]: [system] AppArmor D-Bus mediation is 
enabled
   Apr 17 05:44:10 ip-172-31-40-41 dbus-daemon[892]: [system] AppArmor D-Bus 
mediation is enabled
  Title: package apparmor-profiles 2.13.3-7ubuntu5 failed to install/upgrade: 
conffile difference visualizer subprocess returned error exit status 127
  UpgradeStatus: Upgraded to focal on 2020-04-17 (0 days ago)
  mtime.conffile..etc.apparmor.d.usr.sbin.dnsmasq: 2019-12-04T05:29:25.419026

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apparmor/+bug/1873444/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1874608] Re: package cron 3.0pl1-136ubuntu1 failed to install/upgrade: conffile difference visualizer subprocess returned error exit status 127

2020-05-27 Thread Kai Kasurinen
*** This bug is a duplicate of bug 1874953 ***
https://bugs.launchpad.net/bugs/1874953

** This bug has been marked a duplicate of bug 1874953
   package smartmontools 7.1-1build1 failed to install/upgrade: conffile 
difference visualizer subprocess returned error exit status 127

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to cron in Ubuntu.
https://bugs.launchpad.net/bugs/1874608

Title:
  package cron 3.0pl1-136ubuntu1 failed to install/upgrade: conffile
  difference visualizer subprocess returned error exit status 127

Status in cron package in Ubuntu:
  New

Bug description:
  Failed during do-release-upgrade from 18.04.4 to 20.04.

  ProblemType: Package
  DistroRelease: Ubuntu 20.04
  Package: cron 3.0pl1-136ubuntu1
  ProcVersionSignature: Ubuntu 5.3.0-46.38~18.04.1-generic 5.3.18
  Uname: Linux 5.3.0-46-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: skip
  Date: Fri Apr 24 13:03:47 2020
  ErrorMessage: conffile difference visualizer subprocess returned error exit 
status 127
  Python3Details: /usr/bin/python3.8, Python 3.8.2, python3-minimal, 
3.8.2-0ubuntu2
  PythonDetails: /usr/bin/python2.7, Python 2.7.18rc1, python-is-python2, 
2.7.17-4
  RelatedPackageVersions:
   dpkg 1.19.7ubuntu3
   apt  2.0.2
  SourcePackage: cron
  Title: package cron 3.0pl1-136ubuntu1 failed to install/upgrade: conffile 
difference visualizer subprocess returned error exit status 127
  UpgradeStatus: Upgraded to focal on 2020-04-24 (0 days ago)
  modified.conffile..etc.crontab: [modified]
  mtime.conffile..etc.crontab: 2019-12-19T12:01:39.171715

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/cron/+bug/1874608/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1870427] Re: package smartmontools 7.1-1build1 failed to install/upgrade: conffile difference visualizer subprocess returned error exit status 127

2020-05-27 Thread Kai Kasurinen
*** This bug is a duplicate of bug 1874953 ***
https://bugs.launchpad.net/bugs/1874953

** This bug has been marked a duplicate of bug 1874953
   package smartmontools 7.1-1build1 failed to install/upgrade: conffile 
difference visualizer subprocess returned error exit status 127

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to less in Ubuntu.
https://bugs.launchpad.net/bugs/1870427

Title:
  package smartmontools 7.1-1build1 failed to install/upgrade: conffile
  difference visualizer subprocess returned error exit status 127

Status in dpkg package in Ubuntu:
  Incomplete
Status in less package in Ubuntu:
  Confirmed

Bug description:
  During an upgrade from eoan to focal I got the following error:

   package:smartmontools:7.1-1build1
   Installing new version of config file /etc/init.d/smartmontools ...

   Configuration file '/etc/smartd.conf'
==> Modified (by you or by a script) since installation.
==> Package distributor has shipped an updated version.
  What would you like to do about it ?  Your options are:
   Y or I  : install the package maintainer's version
   N or O  : keep your currently-installed version
 D : show the differences between the versions
 Z : start a shell to examine the situation
The default action is to keep your current version.
   *** smartd.conf (Y/I/N/O/D/Z) [default=N] ? d
   sh: 1: pager: not found
   diff: standard output: Broken pipe
   dpkg: error processing package smartmontools (--configure):
conffile difference visualizer subprocess returned error exit status 127

  ProblemType: Package
  DistroRelease: Ubuntu 20.04
  Package: smartmontools 7.1-1build1
  Uname: Linux 5.6.2-050602-generic x86_64
  ApportVersion: 2.20.11-0ubuntu22
  Architecture: amd64
  Date: Thu Apr  2 19:58:06 2020
  ErrorMessage: conffile difference visualizer subprocess returned error exit 
status 127
  Python3Details: /usr/bin/python3.8, Python 3.8.2, python3-minimal, 
3.8.2-0ubuntu1
  PythonDetails: /usr/bin/python3.8, Python 3.8.2, python-is-python3, 3.8.2-3
  RelatedPackageVersions:
   dpkg 1.19.7ubuntu2
   apt  2.0.1
  SourcePackage: smartmontools
  Title: package smartmontools 7.1-1build1 failed to install/upgrade: conffile 
difference visualizer subprocess returned error exit status 127
  UpgradeStatus: Upgraded to focal on 2020-04-02 (0 days ago)
  mtime.conffile..etc.smartd.conf: 2019-06-28T19:35:09.428956

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/dpkg/+bug/1870427/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1876189] Re: package sysfsutils 2.1.0+repack-6 failed to install/upgrade: conffile difference visualizer subprocess returned error exit status 127

2020-05-27 Thread Kai Kasurinen
*** This bug is a duplicate of bug 1874953 ***
https://bugs.launchpad.net/bugs/1874953

** This bug has been marked a duplicate of bug 1874953
   package smartmontools 7.1-1build1 failed to install/upgrade: conffile 
difference visualizer subprocess returned error exit status 127

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to debconf in Ubuntu.
https://bugs.launchpad.net/bugs/1876189

Title:
  package sysfsutils 2.1.0+repack-6 failed to install/upgrade: conffile
  difference visualizer subprocess returned error exit status 127

Status in debconf package in Ubuntu:
  New

Bug description:
  I think this was due to forcing an update to 20.04 lts from 18.04 lts.

  ProblemType: Package
  DistroRelease: Ubuntu 20.04
  Package: sysfsutils 2.1.0+repack-6
  ProcVersionSignature: Ubuntu 5.4.0-28.32-generic 5.4.30
  Uname: Linux 5.4.0-28-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: skip
  Date: Wed Apr 29 16:18:06 2020
  ErrorMessage: conffile difference visualizer subprocess returned error exit 
status 127
  InstallationDate: Installed on 2020-04-15 (15 days ago)
  InstallationMedia: Ubuntu 18.04.4 LTS "Bionic Beaver" - Release amd64 
(20200203.1)
  Python3Details: /usr/bin/python3.8, Python 3.8.2, python3-minimal, 
3.8.2-0ubuntu2
  PythonDetails: /usr/bin/python2.7, Python 2.7.18rc1, python-is-python2, 
2.7.17-4
  RelatedPackageVersions:
   dpkg 1.19.7ubuntu3
   apt  2.0.2
  SourcePackage: sysfsutils
  Title: package sysfsutils 2.1.0+repack-6 failed to install/upgrade: conffile 
difference visualizer subprocess returned error exit status 127
  UpgradeStatus: Upgraded to focal on 2020-04-30 (0 days ago)
  modified.conffile..etc.sysfs.conf: [modified]
  mtime.conffile..etc.sysfs.conf: 2020-04-17T18:17:04.410519

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/debconf/+bug/1876189/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1881028] [NEW] cursor

2020-05-27 Thread snow
Public bug reported:

After a fresh reboot and login the mouse cursor appears twice:

there is the "real" cursor moving and working and there is another one
that is fixed (not moving) but visible on the screen. This is after each
reboot.

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: xorg 1:7.7+19ubuntu14
ProcVersionSignature: Ubuntu 5.4.0-29.33-generic 5.4.30
Uname: Linux 5.4.0-29-generic x86_64
ApportVersion: 2.20.11-0ubuntu27
Architecture: amd64
BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
CasperMD5CheckResult: skip
CompositorRunning: None
CurrentDesktop: ubuntu:GNOME
Date: Wed May 27 23:50:10 2020
DistUpgraded: Fresh install
DistroCodename: focal
DistroVariant: ubuntu
GraphicsCard:
 Advanced Micro Devices, Inc. [AMD/ATI] Picasso [1002:15d8] (rev d2) (prog-if 
00 [VGA controller])
   Subsystem: Lenovo Picasso [17aa:5125]
InstallationDate: Installed on 2020-05-16 (11 days ago)
InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
MachineType: LENOVO 20NKS01Y00
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-29-generic 
root=UUID=dfb07cd7-295b-489d-8099-21e4be8f46a3 ro quiet splash
SourcePackage: xorg
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 02/19/2020
dmi.bios.vendor: LENOVO
dmi.bios.version: R12ET50W(1.20 )
dmi.board.asset.tag: Not Available
dmi.board.name: 20NKS01Y00
dmi.board.vendor: LENOVO
dmi.board.version: Not Defined
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: None
dmi.modalias: 
dmi:bvnLENOVO:bvrR12ET50W(1.20):bd02/19/2020:svnLENOVO:pn20NKS01Y00:pvrThinkPadT495:rvnLENOVO:rn20NKS01Y00:rvrNotDefined:cvnLENOVO:ct10:cvrNone:
dmi.product.family: ThinkPad T495
dmi.product.name: 20NKS01Y00
dmi.product.sku: LENOVO_MT_20NK_BU_Think_FM_ThinkPad T495
dmi.product.version: ThinkPad T495
dmi.sys.vendor: LENOVO
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.101-2
version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.4-2ubuntu1
version.libgl1-mesa-glx: libgl1-mesa-glx N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.20.8-2ubuntu2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

** Affects: xorg (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug focal ubuntu

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1881028

Title:
  cursor

Status in xorg package in Ubuntu:
  New

Bug description:
  After a fresh reboot and login the mouse cursor appears twice:

  there is the "real" cursor moving and working and there is another one
  that is fixed (not moving) but visible on the screen. This is after
  each reboot.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: xorg 1:7.7+19ubuntu14
  ProcVersionSignature: Ubuntu 5.4.0-29.33-generic 5.4.30
  Uname: Linux 5.4.0-29-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CasperMD5CheckResult: skip
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  Date: Wed May 27 23:50:10 2020
  DistUpgraded: Fresh install
  DistroCodename: focal
  DistroVariant: ubuntu
  GraphicsCard:
   Advanced Micro Devices, Inc. [AMD/ATI] Picasso [1002:15d8] (rev d2) (prog-if 
00 [VGA controller])
 Subsystem: Lenovo Picasso [17aa:5125]
  InstallationDate: Installed on 2020-05-16 (11 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  MachineType: LENOVO 20NKS01Y00
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-29-generic 
root=UUID=dfb07cd7-295b-489d-8099-21e4be8f46a3 ro quiet splash
  SourcePackage: xorg
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 02/19/2020
  dmi.bios.vendor: LENOVO
  dmi.bios.version: R12ET50W(1.20 )
  dmi.board.asset.tag: Not Available
  dmi.board.name: 20NKS01Y00
  dmi.board.vendor: LENOVO
  dmi.board.version: Not Defined
  dmi.chassis.asset.tag: No Asset Information
  dmi.chassis.type: 10
  dmi.chassis.vendor: LENOVO
  dmi.chassis.version: None
  dmi.modalias: 
dmi:bvnLENOVO:bvrR12ET50W(1.20):bd02/19/2020:svnLENOVO:pn20NKS01Y00:pvrThinkPadT495:rvnLENOVO:rn20NKS01Y00:rvrNotDefined:cvnLENOVO:ct10:cvrNone:
  dmi.product.family: ThinkPad T495
  dmi.product.name: 20NKS01Y00
  dmi.product.sku: LENOVO_MT_20NK_BU_Think_FM_ThinkPad T495
  dmi.product.version: ThinkPad T495
  dmi.sys.vendor: LENOVO
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.101-2
  version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.4-2ubuntu1
  version.libgl1-mesa-glx: libgl1-mesa-glx N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.8-2ubuntu2
  

[Touch-packages] [Bug 1804847] Re: systemd=229-4ubuntu21.8 use of fchownat failes on some systems (openvz)

2020-05-27 Thread CrashAbbott
Where may I find the fix to this issue as it has stopped my Clone server from 
running.. May I have the complete commands. and instructions how to address 
this?  I am running ubuntu 16.04 lts and the last upgrade has killed my 
machine.. 
thanks
Richard

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1804847

Title:
  systemd=229-4ubuntu21.8 use of fchownat failes on some systems
  (openvz)

Status in systemd package in Ubuntu:
  Fix Released

Bug description:
  The following description is taken from:

  https://answers.launchpad.net/ubuntu/+source/systemd/+question/676237

  Hello everyone,
  I'm running 16.04 LTS on a virtual server which, I think, uses OpenVz. After 
a recent reboot I found most of my services to be in a failed state. The reason 
for that, I guess, are these log entries:

  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of 
/run/elasticsearch failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of /run/kopano 
failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of /run/kopano 
failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of /run/php 
failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of /run/postgresql 
failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of /run/redis 
failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of /run/screen 
failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of /run/utmp 
failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of 
/run/systemd/netif failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of 
/run/systemd/netif/links failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of 
/run/systemd/netif/leases failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of 
/run/log/journal failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of 
/run/log/journal/bbad3a438f4b4fb49e5d0700bd5981e8 failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of 
/run/log/journal/bbad3a438f4b4fb49e5d0700bd5981e8/system.journal failed: 
Invalid argument

  To verify I tried this:

  /usr/lib/tmpfiles.d# SYSTEMD_LOG_LEVEL=debug systemd-tmpfiles --create 
elasticsearch.conf
  Reading config file "elasticsearch.conf".
  Running create action for entry d /var/run/elasticsearch
  Found existing directory "/var/run/elasticsearch".
  "/run/elasticsearch" has right mode 40755
  chown "/run/elasticsearch" to 120.128
  fchownat() of /run/elasticsearch failed: Invalid argument

  I can manually chown the directories, e.g. "chown
  elasticsearch:elasticsearch /var/run/elasticsearch" and restart the
  service successfully.  My suspicion is, this is related to an upgrade
  of systemd to 229-4ubuntu21.8.

  At this point I don't know what to do.

  I'm also confused about the version I have installed, which I thought is 
systemd-229. Howver, I looked at 
https://github.com/systemd/systemd/blob/v229/src/tmpfiles/tmpfiles.c and found 
that fchownat() is only used from version 238+:
  Tag v237 (and earlier, including 229):
  /.../
  if (chown(fn,
    i->uid_set ? i->uid : UID_INVALID,
    i->gid_set ? i->gid : GID_INVALID) < 0)
  return log_error_errno(errno, "chown(%s) 
failed: %m", path);
  }
  /.../

  Tag v238

  /.../
  if (fchownat(fd,
   "",
   i->uid_set ? i->uid : UID_INVALID,
   i->gid_set ? i->gid : GID_INVALID,
   AT_EMPTY_PATH) < 0)
  return log_error_errno(errno, "fchownat() of %s failed: %m", path);
  /.../

  Any help fixing this problem would be highly appreciated.
  Many thanks,
  Rafael

  === Notes ===
  fchownat() was added to Linux in kernel 2.6.16;
  library support was added to glibc in version 2.4.
  checkinf if it is blocked/filtered/sandboxed, rarther than unavailable.
  glibc in bionic requires minimum linux 3.2.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1804847/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1840725] Re: Microphone not working in Ubuntu 18.04.3 LTS on new hp-spectre-x360-convertible-15 laptop

2020-05-27 Thread wiki app
#63 + #65. internal mic is working but not with external mic. 3.5 jack
audio on asus TP410 Ubuntu 18.04

>arecord -l
 List of CAPTURE Hardware Devices 
card 0: PCH [HDA Intel PCH], device 0: ALC294 Analog [ALC294 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

>uname -a
Linux mo 5.3.0-53-generic #47~18.04.1-Ubuntu SMP Thu May 7 13:10:50 UTC 2020 
x86_64 x86_64 x86_64 GNU/Linux

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-driver in Ubuntu.
https://bugs.launchpad.net/bugs/1840725

Title:
  Microphone not working in Ubuntu 18.04.3 LTS on new hp-
  spectre-x360-convertible-15 laptop

Status in alsa-driver package in Ubuntu:
  Confirmed

Bug description:
  Internal Microphone does not work in Ubuntu 18.04.3 LTS in a new hp-
  spectre-x360-convertible-15 laptop. The microphone works perfectly on
  Windows 10 (present in Dual boot mode).

  Initially, Internal Microphone was not even detected but installing
  alsa-tools-gui and overriding pin 0x12 to the Internal Microphone
  fixed that issue. [Pin 0x13 does not work and causes static in a
  headphone if it is plugged in.]

  Microphone is not able to pick up any sound. I changed levels/settings in 
alsamixer, pavucontrol without any success:
  In alsamixer: Experimented with levels ranging from very low to very high for 
Internal Mic, Capture, etc.
  In pavucontrol: Set the Internal Mic as a fallback device, unlocked the 
channels for the mic, experimented with reducing the level for one of the 
channels (reduced right mic level to Silence while keeping the left mic level 
normal/high and vice versa).

  alsa-info:
  http://alsa-project.org/db/?f=cf6d3ccc6372f955da7d99df07afbcb31d5a6c7f

  arecord -l
   List of CAPTURE Hardware Devices 
  card 0: PCH [HDA Intel PCH], device 0: ALC285 Analog [ALC285 Analog]
Subdevices: 1/1
Subdevice #0: subdevice #0

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1840725/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1873926] Re: Super button and Ctrl not working with Bulgarian keyboard since upgrade to focal

2020-05-27 Thread Balint Reczey
** Changed in: systemd (Ubuntu)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1873926

Title:
  Super button and Ctrl not working with Bulgarian keyboard since
  upgrade to focal

Status in systemd package in Ubuntu:
  Invalid

Bug description:
  Since i upgraded from eoan to focal, the Super button doesn't show
  Activities anymore when keyboard is set to Bulgarian. Also Ctrl + D
  and Ctrl + C don't work in terminal when keyboard is in Bulgarian
  (though i am not sure about these 2 whether this worked on eoan). Ctrl
  + Alt + T works both in Bulgarian and English US keyboard. I've
  checked keycodes with evtest and they look correct and the same for
  both Ctrl And Super, in both Bulgarian and English.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: udev 245.4-4ubuntu1
  ProcVersionSignature: Ubuntu 5.4.0-25.29-lowlatency 5.4.30
  Uname: Linux 5.4.0-25-lowlatency x86_64
  NonfreeKernelModules: nvidia_modeset nvidia
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: skip
  CurrentDesktop: ubuntu:GNOME
  CustomUdevRuleFiles: 70-snap.authy.rules 70-snap.thunderbird.rules 
70-snap.core.rules
  Date: Mon Apr 20 20:37:50 2020
  InstallationDate: Installed on 2020-02-08 (72 days ago)
  InstallationMedia: Ubuntu 19.10 "Eoan Ermine" - Release amd64 (20191017)
  Lsusb:
   Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
   Bus 001 Device 004: ID 04f2:b5f7 Chicony Electronics Co., Ltd HD WebCam
   Bus 001 Device 003: ID 8087:0aa7 Intel Corp. 
   Bus 001 Device 002: ID :0538   USB OPTICAL MOUSE
   Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
  MachineType: Acer Aspire A515-51G
  ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-5.4.0-25-lowlatency 
root=/dev/mapper/vgubuntu-root ro quiet splash
  SourcePackage: systemd
  UpgradeStatus: Upgraded to focal on 2020-04-20 (0 days ago)
  dmi.bios.date: 01/03/2019
  dmi.bios.vendor: Insyde Corp.
  dmi.bios.version: V2.02
  dmi.board.asset.tag: Type2 - Board Serial Number
  dmi.board.name: Charmander_KL
  dmi.board.vendor: KBL
  dmi.board.version: V2.02
  dmi.chassis.type: 10
  dmi.chassis.vendor: Acer
  dmi.chassis.version: V2.02
  dmi.modalias: 
dmi:bvnInsydeCorp.:bvrV2.02:bd01/03/2019:svnAcer:pnAspireA515-51G:pvrV2.02:rvnKBL:rnCharmander_KL:rvrV2.02:cvnAcer:ct10:cvrV2.02:
  dmi.product.family: Aspire 5
  dmi.product.name: Aspire A515-51G
  dmi.product.sku: 
  dmi.product.version: V2.02
  dmi.sys.vendor: Acer

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1873926/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1873926] Re: Super button and Ctrl not working with Bulgarian keyboard since upgrade to focal

2020-05-27 Thread Lyubomir Parvanov
This seems to have been fixed somehow as i don't experience the issue
anymore.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1873926

Title:
  Super button and Ctrl not working with Bulgarian keyboard since
  upgrade to focal

Status in systemd package in Ubuntu:
  New

Bug description:
  Since i upgraded from eoan to focal, the Super button doesn't show
  Activities anymore when keyboard is set to Bulgarian. Also Ctrl + D
  and Ctrl + C don't work in terminal when keyboard is in Bulgarian
  (though i am not sure about these 2 whether this worked on eoan). Ctrl
  + Alt + T works both in Bulgarian and English US keyboard. I've
  checked keycodes with evtest and they look correct and the same for
  both Ctrl And Super, in both Bulgarian and English.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: udev 245.4-4ubuntu1
  ProcVersionSignature: Ubuntu 5.4.0-25.29-lowlatency 5.4.30
  Uname: Linux 5.4.0-25-lowlatency x86_64
  NonfreeKernelModules: nvidia_modeset nvidia
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: skip
  CurrentDesktop: ubuntu:GNOME
  CustomUdevRuleFiles: 70-snap.authy.rules 70-snap.thunderbird.rules 
70-snap.core.rules
  Date: Mon Apr 20 20:37:50 2020
  InstallationDate: Installed on 2020-02-08 (72 days ago)
  InstallationMedia: Ubuntu 19.10 "Eoan Ermine" - Release amd64 (20191017)
  Lsusb:
   Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
   Bus 001 Device 004: ID 04f2:b5f7 Chicony Electronics Co., Ltd HD WebCam
   Bus 001 Device 003: ID 8087:0aa7 Intel Corp. 
   Bus 001 Device 002: ID :0538   USB OPTICAL MOUSE
   Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
  MachineType: Acer Aspire A515-51G
  ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-5.4.0-25-lowlatency 
root=/dev/mapper/vgubuntu-root ro quiet splash
  SourcePackage: systemd
  UpgradeStatus: Upgraded to focal on 2020-04-20 (0 days ago)
  dmi.bios.date: 01/03/2019
  dmi.bios.vendor: Insyde Corp.
  dmi.bios.version: V2.02
  dmi.board.asset.tag: Type2 - Board Serial Number
  dmi.board.name: Charmander_KL
  dmi.board.vendor: KBL
  dmi.board.version: V2.02
  dmi.chassis.type: 10
  dmi.chassis.vendor: Acer
  dmi.chassis.version: V2.02
  dmi.modalias: 
dmi:bvnInsydeCorp.:bvrV2.02:bd01/03/2019:svnAcer:pnAspireA515-51G:pvrV2.02:rvnKBL:rnCharmander_KL:rvrV2.02:cvnAcer:ct10:cvrV2.02:
  dmi.product.family: Aspire 5
  dmi.product.name: Aspire A515-51G
  dmi.product.sku: 
  dmi.product.version: V2.02
  dmi.sys.vendor: Acer

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1873926/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1868720] Re: backport time64 syscalls whitelist

2020-05-27 Thread Lucas Kanashiro
** Also affects: docker.io (Ubuntu)
   Importance: Undecided
   Status: New

** Changed in: docker.io (Ubuntu Disco)
   Status: New => Won't Fix

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libseccomp in Ubuntu.
https://bugs.launchpad.net/bugs/1868720

Title:
  backport time64 syscalls whitelist

Status in docker.io package in Ubuntu:
  New
Status in libseccomp package in Ubuntu:
  Fix Released
Status in docker.io source package in Bionic:
  New
Status in libseccomp source package in Bionic:
  Triaged
Status in docker.io source package in Disco:
  Won't Fix
Status in libseccomp source package in Disco:
  Won't Fix
Status in docker.io source package in Eoan:
  New
Status in libseccomp source package in Eoan:
  Triaged
Status in docker.io source package in Focal:
  New
Status in libseccomp source package in Focal:
  Fix Released

Bug description:
  A number of new *time64 syscalls are introduced in newer kernel series
  (>=5.1.x):

  403: clock_gettime64
  404: clock_settime64
  405: clock_adjtime64
  406: clock_getres_time64
  407: clock_nanosleep_time64
  408: timer_gettime64
  409: timer_settime64
  410: timerfd_gettime64
  411: timerfd_settime64
  412: utimensat_time64
  413: pselect6_time64
  414: ppoll_time64

  In particular utimensat_time64 is now used inside glibc>=2.31

  In turn ubuntu with has trouble running docker images of newer distros.
  This problem affects libseccomp<2.4.2, ie bionic (lts), and eoan, but not 
focal.

  See a similar report at Fedora:
  https://bugzilla.redhat.com/show_bug.cgi?id=1770154

  A solution could be to backport the related changes from 2.4.2
  similarly to what happened for the statx whitelisting
  (https://bugs.launchpad.net/ubuntu/+source/docker.io/+bug/1755250).

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/docker.io/+bug/1868720/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1877183] Re: segfault in mysql_server_end() from libmysqlclient.so.21

2020-05-27 Thread Lars Tangvald
*** This bug is a duplicate of bug 1877504 ***
https://bugs.launchpad.net/bugs/1877504

Right. This was reported first, but most of the discussion was there, so
I'll mark this as a duplicate (as noted in the other report, this is a
combination of a bug in mysql and maria still using mysql paths for
incompatible files).

** This bug has been marked a duplicate of bug 1877504
   new version of libmysqlclient21 8.0.20-0ubuntu0.20.04.1 causes mythtv-set, 
mythbackend and mythfrontend to segfault on exit.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qtbase-opensource-src in
Ubuntu.
https://bugs.launchpad.net/bugs/1877183

Title:
  segfault in mysql_server_end() from libmysqlclient.so.21

Status in mysql-8.0 package in Ubuntu:
  Invalid
Status in qtbase-opensource-src package in Ubuntu:
  Invalid

Bug description:
  libmysqlclient.so.21 causes a segfault on shutdown.

  Test case attached ==> "Removed database" will not be reported.

  Backtrace:
  #0  0x714c330f in ?? () from 
/lib/x86_64-linux-gnu/libmysqlclient.so.21
  #1  0x714c8823 in ?? () from 
/lib/x86_64-linux-gnu/libmysqlclient.so.21
  #2  0x71466243 in mysql_server_end () from 
/lib/x86_64-linux-gnu/libmysqlclient.so.21
  #3  0x71b4d0ee in ?? () from 
/usr/lib/x86_64-linux-gnu/qt5/plugins/sqldrivers/libqsqlmysql.so
  #4  0x71b4d10d in ?? () from 
/usr/lib/x86_64-linux-gnu/qt5/plugins/sqldrivers/libqsqlmysql.so
  #5  0x778e55fb in ?? () from /lib/x86_64-linux-gnu/libQt5Sql.so.5
  #6  0x778e588e in QSqlDatabase::~QSqlDatabase() () from 
/lib/x86_64-linux-gnu/libQt5Sql.so.5
  #7  0x778e5d9c in ?? () from /lib/x86_64-linux-gnu/libQt5Sql.so.5
  #8  0x5579 in cause_segfault () at main.cpp:16
  #9  0x5729 in main (argc=1, argv=0x7fffeb18) at main.cpp:23

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: libqt5sql5-mysql 5.12.8+dfsg-0ubuntu1
  ProcVersionSignature: Ubuntu 5.4.0-29.33-generic 5.4.30
  Uname: Linux 5.4.0-29-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: skip
  CurrentDesktop: XFCE
  Date: Wed May  6 21:40:58 2020
  InstallationDate: Installed on 2020-04-27 (9 days ago)
  InstallationMedia: Xubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  SourcePackage: qtbase-opensource-src
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mysql-8.0/+bug/1877183/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1876055] Re: SRU: Backport 2.4.3-1ubuntu2 from groovy to focal/eoan/bionic/xenial for newer syscalls for core20 base

2020-05-27 Thread Lucas Kanashiro
** Changed in: libseccomp (Ubuntu Focal)
   Importance: Undecided => Medium

** Changed in: libseccomp (Ubuntu Eoan)
   Importance: Undecided => Medium

** Changed in: libseccomp (Ubuntu Bionic)
   Importance: Undecided => Medium

** Changed in: libseccomp (Ubuntu Xenial)
   Importance: Undecided => Medium

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libseccomp in Ubuntu.
https://bugs.launchpad.net/bugs/1876055

Title:
  SRU: Backport 2.4.3-1ubuntu2 from groovy to focal/eoan/bionic/xenial
  for newer syscalls for core20 base

Status in libseccomp package in Ubuntu:
  New
Status in libseccomp source package in Xenial:
  New
Status in libseccomp source package in Bionic:
  New
Status in libseccomp source package in Eoan:
  New
Status in libseccomp source package in Focal:
  New
Status in libseccomp source package in Groovy:
  New

Bug description:
  [Impact]

  The combination of snap-confine and snap-seccomp from snapd uses
  libseccomp to filter various system calls for confinement. The current
  version in eoan/bionic/xenial (2.4.1) is missing knowledge of various
  system calls for various architectures. As such this causes strange
  issues like python snaps segfaulting
  (https://github.com/snapcore/core20/issues/48) or the inadvertent
  denial of system calls which should be permitted by the base policy
  (https://forum.snapcraft.io/t/getrlimit-blocked-by-seccomp-on-focal-
  arm64/17237).

  libseccomp in groovy is using the latest upstream base release (2.4.3)
  plus it includes a patch to add some missing aarch64 system calls
  (https://bugs.launchpad.net/ubuntu/+source/libseccomp/+bug/1877633).

  SRUing this version back to older stable releases allows libseccomp to
  operate correctly on all supported architectures.

  
  Included as part of this SRU are test-suite reliability improvements - 
currently the xenial libseccomp package overrides test-suite failures at build 
time to ignore failures. This masks the fact that on ppc64el and s390x there 
are currently test suite failures at build time for xenial - these failures 
occur since libseccomp now includes knowledge of system calls for these 
architectures but which the linux-libc-dev package for xenial does not actually 
define (since this is based of the 4.4 kernel in xenial whereas libseccomp 
2.4.1 in xenial has knowledge of all system calls up to 5.4). 

  In this SRU I have instead fixed the test suite failures for xenial by
  including a local (test-suite specific) set of architecture specific
  kernel headers from the linux-libc-dev in focal for all releases.
  These are just the headers which define the system call numbers for
  each architecture *and* these are added to tests/include/$ARCH in the
  source package (and tests/Makefile.am is then updated to include these
  new headers only).  As such this ensures the actual build of
  libseccomp or any of the tools does not reference these headers. This
  allows the test suite in libseccomp to then be aware of theses system
  calls and so all unit tests for all architectures now pass.

  In any future updates for libseccomp to add new system calls, we can
  then similarly update these local headers to ensure the unit tests
  continue to work as expected.

  
  [Test Case]

  libseccomp includes a significant unit test suite that is run during
  the build and as part of autopkgtests. To verify the new aarch64
  system calls are resolved as expected the scmp_sys_resolver command
  can be used as well:

  $ scmp_sys_resolver -a aarch64 getrlimit
  163

  (whereas in the current version in focal this returns -10180 as
  libseccomp was not aware of this system-call at compile-time).

  As part of this SRU, the test suite in libseccomp has been patched to
  include a local copy of the architecture-specific kernel headers from
  the 5.4 kernel in focal *for all releases*, so that all system calls
  which are defined for the 5.4 kernel are known about *for the
  libseccomp test suite*. This allows all unit tests to pass on older
  releases as well and defaults the build to fail on unit test failures
  (whereas currently in xenial this has been overridden to ignore
  failures).

  
  [Regression Potential]

  This has a low regression potential due to significant testing with
  many packages that depend on libseccomp (lxc, qemu, snapd, apt, man
  etc) and none have shown any regression using this new version. The
  re-enablement of build failure on test failure at build time also
  ensures that we can reliably detect FTBFS issues in the future.

  No symbols have been removed (or added) with this update in version so
  there is no chance of regression due to ABI change etc. In the past,
  the security team has performed more significant version upgrades for
  libseccomp (2.2, 2.3, 2.4) -> 2.4.1 without major incident. In the
  case of *this* SRU, we are only doing a micro-version upgrade from
  2.4.1 to 2.4.3 so this 

[Touch-packages] [Bug 1557157] Re: apparmor profile denied for saslauthd: /run/saslauthd/mux

2020-05-27 Thread Marian Rainer-Harbach
My configs are:


/etc/default/saslauthd:
#
# Settings for saslauthd daemon
# Please read /usr/share/doc/sasl2-bin/README.Debian for details.
#

# Should saslauthd run automatically on startup? (default: no)
START=yes

# Description of this saslauthd instance. Recommended.
# (suggestion: SASL Authentication Daemon)
DESC="SASL Authentication Daemon"

# Short name of this saslauthd instance. Strongly recommended.
# (suggestion: saslauthd)
NAME="saslauthd"

# Which authentication mechanisms should saslauthd use? (default: pam)
#
# Available options in this Debian package:
# getpwent  -- use the getpwent() library function
# kerberos5 -- use Kerberos 5
# pam   -- use PAM
# rimap -- use a remote IMAP server
# shadow-- use the local shadow password file
# sasldb-- use the local sasldb database file
# ldap  -- use LDAP (configuration is in /etc/saslauthd.conf)
#
# Only one option may be used at a time. See the saslauthd man page
# for more information.
#
# Example: MECHANISMS="pam"
MECHANISMS="kerberos5"

# Additional options for this mechanism. (default: none)
# See the saslauthd man page for information about mech-specific options.
MECH_OPTIONS=""

# How many saslauthd processes should we run? (default: 5)
# A value of 0 will fork a new process for each connection.
THREADS=5

# Other options (default: -c -m /var/run/saslauthd)
# Note: You MUST specify the -m option or saslauthd won't run!
#
# WARNING: DO NOT SPECIFY THE -d OPTION.
# The -d option will cause saslauthd to run in the foreground instead of as
# a daemon. This will PREVENT YOUR SYSTEM FROM BOOTING PROPERLY. If you wish
# to run saslauthd in debug mode, please run it by hand to be safe.
#
# See /usr/share/doc/sasl2-bin/README.Debian for Debian-specific information.
# See the saslauthd man page and the output of 'saslauthd -h' for general
# information about these options.
#
# Example for chroot Postfix users: "-c -m /var/spool/postfix/var/run/saslauthd"
# Example for non-chroot Postfix users: "-c -m /var/run/saslauthd"
#
# To know if your Postfix is running chroot, check /etc/postfix/master.cf.
# If it has the line "smtp inet n - y - - smtpd" or "smtp inet n - - - - smtpd"
# then your Postfix is running in a chroot.
# If it has the line "smtp inet n - n - - smtpd" then your Postfix is NOT
# running in a chroot.
OPTIONS="-c -m /var/run/saslauthd"


/etc/ldap/sasl2/slapd.conf:
mech_list: plain
pwcheck_method: saslauthd


As the reporter of this bug stated, AppArmor denies slapd access to the 
saslauthd socket /run/saslauthd/mux.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openldap in Ubuntu.
https://bugs.launchpad.net/bugs/1557157

Title:
  apparmor profile denied for saslauthd: /run/saslauthd/mux

Status in openldap package in Ubuntu:
  Incomplete

Bug description:
  When using slapd with saslauthd the processes communicate via the
  {,/var}/run/saslauthd/mux socket (this is the default location for the
  saslauthd server from the sasl2-bin package in the
  /etc/default/saslauthd config), but the apparmor profile for
  usr.sbin.slapd does not allow access to this socket/file.

  Syslog message:
  apparmor="DENIED" operation="connect" profile="/usr/sbin/slapd" 
name="/run/saslauthd/mux" pid=1880
  4 comm="slapd" requested_mask="r" denied_mask="r" fsuid=108 ouid=0

  
  Please add the following line to  /etc/apparmor.d/usr.sbin.slapd:
  /{,var/}run/saslauthd/mux rw,

  
  Ubuntu version: Ubuntu 14.04.4 LTS
  slapd version: 2.4.31-1+nmu2ubu

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1557157/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880735] Re: stray messages about failure to active chzdev device

2020-05-27 Thread Launchpad Bug Tracker
This bug was fixed in the package initramfs-tools - 0.137ubuntu6

---
initramfs-tools (0.137ubuntu6) groovy; urgency=medium

  * Fixup previous commit to fix build failure

 -- Gianfranco Costamagna   Wed, 27 May 2020
09:57:57 +0200

** Changed in: initramfs-tools (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1880735

Title:
  stray messages about failure to active chzdev device

Status in initramfs-tools package in Ubuntu:
  Fix Released
Status in initramfs-tools source package in Focal:
  New

Bug description:
  stray messages about failure to active chzdev device

  When booting with VLAN configuration, chzdev -e is attempted on both
  the underlying parent device and the VLAN device. Which does not make
  sense. We should not attempt to call chzdev -e on the VLAN device.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/1880735/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1840725] Re: Microphone not working in Ubuntu 18.04.3 LTS on new hp-spectre-x360-convertible-15 laptop

2020-05-27 Thread jrda
Have you tried an Update to 20.04 before?
What Hardware do you have in the Envy 15?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-driver in Ubuntu.
https://bugs.launchpad.net/bugs/1840725

Title:
  Microphone not working in Ubuntu 18.04.3 LTS on new hp-
  spectre-x360-convertible-15 laptop

Status in alsa-driver package in Ubuntu:
  Confirmed

Bug description:
  Internal Microphone does not work in Ubuntu 18.04.3 LTS in a new hp-
  spectre-x360-convertible-15 laptop. The microphone works perfectly on
  Windows 10 (present in Dual boot mode).

  Initially, Internal Microphone was not even detected but installing
  alsa-tools-gui and overriding pin 0x12 to the Internal Microphone
  fixed that issue. [Pin 0x13 does not work and causes static in a
  headphone if it is plugged in.]

  Microphone is not able to pick up any sound. I changed levels/settings in 
alsamixer, pavucontrol without any success:
  In alsamixer: Experimented with levels ranging from very low to very high for 
Internal Mic, Capture, etc.
  In pavucontrol: Set the Internal Mic as a fallback device, unlocked the 
channels for the mic, experimented with reducing the level for one of the 
channels (reduced right mic level to Silence while keeping the left mic level 
normal/high and vice versa).

  alsa-info:
  http://alsa-project.org/db/?f=cf6d3ccc6372f955da7d99df07afbcb31d5a6c7f

  arecord -l
   List of CAPTURE Hardware Devices 
  card 0: PCH [HDA Intel PCH], device 0: ALC285 Analog [ALC285 Analog]
Subdevices: 1/1
Subdevice #0: subdevice #0

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1840725/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1876320] Re: Port parameter sshd_config is 22 AND whatever you specify

2020-05-27 Thread Lucas Kanashiro
** Also affects: openssh (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Changed in: openssh (Ubuntu Focal)
   Status: New => Triaged

** Changed in: openssh (Ubuntu Focal)
   Importance: Undecided => Low

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssh in Ubuntu.
https://bugs.launchpad.net/bugs/1876320

Title:
  Port parameter sshd_config is 22 AND whatever you specify

Status in portable OpenSSH:
  Unknown
Status in openssh package in Ubuntu:
  Triaged
Status in openssh source package in Focal:
  Triaged

Bug description:
  On my Ubuntu Server 20.04 LTS with OpenSSH 1:8.2p1-4, I have TWO sshd
  deamons. One (on port 22) is for internal use, accepts passwords etc.
  The second (on port 7722) does not allow PAM use and no passwords,
  allows only one user(name) and uses an alternative autorized_keys file
  (that only root can edit).

  Any parameter FIRST encountered in sshd_config is the one that is
  accepted; others do not override (like in many other config files).
  There is one exception: 'Port', which is accumulative. To make life
  easier, I set the more restrictive parameters for port 7722 first and
  next include the system-default /etc/ssh/sshd_config.

  The /etc/ssh/sshd_config file(s) in Ubuntu Server 20.04 DO NOT specify
  'Port' anywhere - the default is 22. But: it is obviously still
  accumulative: Setting 'Port' to 7722 makes sshd listen on port 7722
  AND 22. This is unwanted.

  Proposed solution: Remove the accumulative behavior for 'Port' and
  REQUIRE the 'Port' parameter like before (and maybe have second and
  later parameters override the earlier ones, like 'everyone else').

  Regards,

  Adriaan

  PS Searching for solutions, I found that specifying 'ListenAddress
  0.0.0.0:7722' stops sshd from listening to port 22. This, however, is
  not documented in 'man 5 sshd_config' and may be an unreliable side-
  effect.

To manage notifications about this bug go to:
https://bugs.launchpad.net/openssh/+bug/1876320/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1840725] Re: Microphone not working in Ubuntu 18.04.3 LTS on new hp-spectre-x360-convertible-15 laptop

2020-05-27 Thread Cheyenne Aberle
I can confirm that a clean installation of 20.04 fixed the issue on my
HP Envy 15 x360. The internal microphone is properly detected and
working.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-driver in Ubuntu.
https://bugs.launchpad.net/bugs/1840725

Title:
  Microphone not working in Ubuntu 18.04.3 LTS on new hp-
  spectre-x360-convertible-15 laptop

Status in alsa-driver package in Ubuntu:
  Confirmed

Bug description:
  Internal Microphone does not work in Ubuntu 18.04.3 LTS in a new hp-
  spectre-x360-convertible-15 laptop. The microphone works perfectly on
  Windows 10 (present in Dual boot mode).

  Initially, Internal Microphone was not even detected but installing
  alsa-tools-gui and overriding pin 0x12 to the Internal Microphone
  fixed that issue. [Pin 0x13 does not work and causes static in a
  headphone if it is plugged in.]

  Microphone is not able to pick up any sound. I changed levels/settings in 
alsamixer, pavucontrol without any success:
  In alsamixer: Experimented with levels ranging from very low to very high for 
Internal Mic, Capture, etc.
  In pavucontrol: Set the Internal Mic as a fallback device, unlocked the 
channels for the mic, experimented with reducing the level for one of the 
channels (reduced right mic level to Silence while keeping the left mic level 
normal/high and vice versa).

  alsa-info:
  http://alsa-project.org/db/?f=cf6d3ccc6372f955da7d99df07afbcb31d5a6c7f

  arecord -l
   List of CAPTURE Hardware Devices 
  card 0: PCH [HDA Intel PCH], device 0: ALC285 Analog [ALC285 Analog]
Subdevices: 1/1
Subdevice #0: subdevice #0

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1840725/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1877183] Re: segfault in mysql_server_end() from libmysqlclient.so.21

2020-05-27 Thread Seth Arnold
This may be the same issue as
https://bugs.launchpad.net/ubuntu/+source/mysql-8.0/+bug/1877504

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qtbase-opensource-src in
Ubuntu.
https://bugs.launchpad.net/bugs/1877183

Title:
  segfault in mysql_server_end() from libmysqlclient.so.21

Status in mysql-8.0 package in Ubuntu:
  Invalid
Status in qtbase-opensource-src package in Ubuntu:
  Invalid

Bug description:
  libmysqlclient.so.21 causes a segfault on shutdown.

  Test case attached ==> "Removed database" will not be reported.

  Backtrace:
  #0  0x714c330f in ?? () from 
/lib/x86_64-linux-gnu/libmysqlclient.so.21
  #1  0x714c8823 in ?? () from 
/lib/x86_64-linux-gnu/libmysqlclient.so.21
  #2  0x71466243 in mysql_server_end () from 
/lib/x86_64-linux-gnu/libmysqlclient.so.21
  #3  0x71b4d0ee in ?? () from 
/usr/lib/x86_64-linux-gnu/qt5/plugins/sqldrivers/libqsqlmysql.so
  #4  0x71b4d10d in ?? () from 
/usr/lib/x86_64-linux-gnu/qt5/plugins/sqldrivers/libqsqlmysql.so
  #5  0x778e55fb in ?? () from /lib/x86_64-linux-gnu/libQt5Sql.so.5
  #6  0x778e588e in QSqlDatabase::~QSqlDatabase() () from 
/lib/x86_64-linux-gnu/libQt5Sql.so.5
  #7  0x778e5d9c in ?? () from /lib/x86_64-linux-gnu/libQt5Sql.so.5
  #8  0x5579 in cause_segfault () at main.cpp:16
  #9  0x5729 in main (argc=1, argv=0x7fffeb18) at main.cpp:23

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: libqt5sql5-mysql 5.12.8+dfsg-0ubuntu1
  ProcVersionSignature: Ubuntu 5.4.0-29.33-generic 5.4.30
  Uname: Linux 5.4.0-29-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: skip
  CurrentDesktop: XFCE
  Date: Wed May  6 21:40:58 2020
  InstallationDate: Installed on 2020-04-27 (9 days ago)
  InstallationMedia: Xubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  SourcePackage: qtbase-opensource-src
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mysql-8.0/+bug/1877183/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880994] [NEW] Dock appears twice on the right-hand side

2020-05-27 Thread cliftonw
Public bug reported:

I have dash to dock enabled and I know there are controls in settings
too.  Both are set the same yet I have duplication of each icon down the
right-hand side until I restart the computer. [Go to settings /
appearance / dock]

I also have other computers running Ubuntu 20.04 and they occasionally
have the same issue.  It seems more problamatic on this computer.

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: xorg 1:7.7+19ubuntu14
ProcVersionSignature: Ubuntu 5.4.0-31.35-generic 5.4.34
Uname: Linux 5.4.0-31-generic x86_64
NonfreeKernelModules: wl
.tmp.unity_support_test.0:
 
ApportVersion: 2.20.11-0ubuntu27
Architecture: amd64
BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
CasperMD5CheckResult: skip
CompositorRunning: None
CurrentDesktop: ubuntu:GNOME
Date: Wed May 27 17:48:20 2020
DistUpgraded: Fresh install
DistroCodename: focal
DistroVariant: ubuntu
DkmsStatus:
 bcmwl, 6.30.223.271+bdcom, 5.4.0-29-generic, x86_64: installed
 bcmwl, 6.30.223.271+bdcom, 5.4.0-31-generic, x86_64: installed
ExtraDebuggingInterest: Yes, if not too technical
GraphicsCard:
 Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller 
[8086:2a42] (rev 07) (prog-if 00 [VGA controller])
   Subsystem: Dell Mobile 4 Series Chipset Integrated Graphics Controller 
[1028:02aa]
   Subsystem: Dell Mobile 4 Series Chipset Integrated Graphics Controller 
[1028:02aa]
InstallationDate: Installed on 2018-12-05 (538 days ago)
InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 (20180725)
MachineType: Dell Inc. Inspiron 1545
ProcEnviron:
 LANGUAGE=en_GB:en
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-31-generic 
root=UUID=055bb0cc-1140-4347-bce1-ed984da230fb ro quiet splash vt.handoff=7
SourcePackage: xorg
Symptom: display
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 12/07/2009
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A14
dmi.board.name: 0G848F
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: 
dmi:bvnDellInc.:bvrA14:bd12/07/2009:svnDellInc.:pnInspiron1545:pvr:rvnDellInc.:rn0G848F:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: Inspiron 1545
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.14.1+20.04.20200211-0ubuntu1
version.libdrm2: libdrm2 2.4.101-2
version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.4-2ubuntu1
version.libgl1-mesa-glx: libgl1-mesa-glx 20.0.4-2ubuntu1
version.xserver-xorg-core: xserver-xorg-core 2:1.20.8-2ubuntu2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

** Affects: xorg (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug focal ubuntu

** Attachment added: "Visual image of the issue."
   
https://bugs.launchpad.net/bugs/1880994/+attachment/5377459/+files/Screenshot%20from%202020-05-27%2018-01-09.png

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1880994

Title:
  Dock appears twice on the right-hand side

Status in xorg package in Ubuntu:
  New

Bug description:
  I have dash to dock enabled and I know there are controls in settings
  too.  Both are set the same yet I have duplication of each icon down
  the right-hand side until I restart the computer. [Go to settings /
  appearance / dock]

  I also have other computers running Ubuntu 20.04 and they occasionally
  have the same issue.  It seems more problamatic on this computer.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: xorg 1:7.7+19ubuntu14
  ProcVersionSignature: Ubuntu 5.4.0-31.35-generic 5.4.34
  Uname: Linux 5.4.0-31-generic x86_64
  NonfreeKernelModules: wl
  .tmp.unity_support_test.0:
   
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CasperMD5CheckResult: skip
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  Date: Wed May 27 17:48:20 2020
  DistUpgraded: Fresh install
  DistroCodename: focal
  DistroVariant: ubuntu
  DkmsStatus:
   bcmwl, 6.30.223.271+bdcom, 5.4.0-29-generic, x86_64: installed
   bcmwl, 6.30.223.271+bdcom, 5.4.0-31-generic, x86_64: installed
  ExtraDebuggingInterest: Yes, if not too technical
  GraphicsCard:
   Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller 
[8086:2a42] (rev 07) (prog-if 00 [VGA controller])
 Subsystem: Dell Mobile 4 Series Chipset Integrated Graphics Controller 
[1028:02aa]
 Subsystem: Dell Mobile 4 Series Chipset Integrated Graphics Controller 
[1028:02aa]
  InstallationDate: Installed on 2018-12-05 (538 days ago)
  InstallationMedia: Ubuntu 18.04.1 LTS "Bionic 

[Touch-packages] [Bug 1880991] [NEW] Xorg freeze

2020-05-27 Thread tim474
Public bug reported:

Sometimes there is an X11 freeze. Usually it happens when I connect to a
Zoom conference, but latest (and at least one previous) it happened when
I wasn't using Zoom. The symptoms were same: still image, but mouse
cursor could be moved. I can switch to another terminal (ctrl+alt+f1),
when I return to the GUI, there is only black screen with moving mouse
cursor.

I can only restart lightdm.

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: xorg 1:7.7+19ubuntu14
ProcVersionSignature: Ubuntu 5.4.0-31.35-generic 5.4.34
Uname: Linux 5.4.0-31-generic x86_64
NonfreeKernelModules: nvidia
.proc.driver.nvidia.gpus..01.00.0: Error: [Errno 21] Это каталог: 
'/proc/driver/nvidia/gpus/:01:00.0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86_64 Kernel Module  340.108  Wed Dec 11 11:06:58 
PST 2019
 GCC version:  gcc version 9.3.0 (Ubuntu 9.3.0-10ubuntu2)
.proc.driver.nvidia.warnings.fbdev:
 Your system is not currently configured to drive a VGA console
 on the primary VGA device. The NVIDIA Linux graphics driver
 requires the use of a text-mode VGA console. Use of other console
 drivers including, but not limited to, vesafb, may result in
 corruption and stability problems, and is not supported.
ApportVersion: 2.20.11-0ubuntu27
Architecture: amd64
BootLog: Error: [Errno 13] Отказано в доступе: '/var/log/boot.log'
CasperMD5CheckResult: skip
CompositorRunning: None
CurrentDesktop: XFCE
Date: Wed May 27 19:49:30 2020
DistUpgraded: Fresh install
DistroCodename: focal
DistroVariant: ubuntu
DkmsStatus:
 nvidia-340, 340.108, 5.4.0-29-generic, x86_64: installed
 nvidia-340, 340.108, 5.4.0-31-generic, x86_64: installed
ExtraDebuggingInterest: Yes
GraphicsCard:
 NVIDIA Corporation GT218 [GeForce 210] [10de:0a65] (rev a2) (prog-if 00 [VGA 
controller])
   Subsystem: Gigabyte Technology Co., Ltd GT218 [GeForce 210] [1458:3525]
InstallationDate: Installed on 2020-05-09 (17 days ago)
InstallationMedia: Xubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
MachineType: Gigabyte Technology Co., Ltd. To be filled by O.E.M.
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-5.4.0-31-generic 
root=/dev/mapper/vgxubuntu-root ro iommu=soft quiet splash
SourcePackage: xorg
Symptom: display
Title: Xorg freeze
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 02/26/2016
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: FC
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: 970A-UD3P
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.board.version: To be filled by O.E.M.
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrFC:bd02/26/2016:svnGigabyteTechnologyCo.,Ltd.:pnTobefilledbyO.E.M.:pvrTobefilledbyO.E.M.:rvnGigabyteTechnologyCo.,Ltd.:rn970A-UD3P:rvrTobefilledbyO.E.M.:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.family: To be filled by O.E.M.
dmi.product.name: To be filled by O.E.M.
dmi.product.sku: To be filled by O.E.M.
dmi.product.version: To be filled by O.E.M.
dmi.sys.vendor: Gigabyte Technology Co., Ltd.
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.101-2
version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.4-2ubuntu1
version.libgl1-mesa-glx: libgl1-mesa-glx 20.0.4-2ubuntu1
version.nvidia-graphics-drivers: nvidia-graphics-drivers-* N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.20.8-2ubuntu2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

** Affects: xorg (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug false-gpu-hang focal freeze ubuntu

** Attachment added: "dmesg"
   https://bugs.launchpad.net/bugs/1880991/+attachment/5377435/+files/dmesg

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1880991

Title:
  Xorg freeze

Status in xorg package in Ubuntu:
  New

Bug description:
  Sometimes there is an X11 freeze. Usually it happens when I connect to
  a Zoom conference, but latest (and at least one previous) it happened
  when I wasn't using Zoom. The symptoms were same: still image, but
  mouse cursor could be moved. I can switch to another terminal
  (ctrl+alt+f1), when I return to the GUI, there is only black screen
  with moving mouse cursor.

  I can only restart lightdm.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: xorg 1:7.7+19ubuntu14
  ProcVersionSignature: Ubuntu 5.4.0-31.35-generic 5.4.34
  Uname: Linux 5.4.0-31-generic x86_64
  NonfreeKernelModules: nvidia
  .proc.driver.nvidia.gpus..01.00.0: Error: 

[Touch-packages] [Bug 1880276] Re: package libhx509-5-heimdal:i386 7.7.0+dfsg-1ubuntu1 failed to install/upgrade: package is in a very bad inconsistent state; you should reinstall it before attemptin

2020-05-27 Thread Robie Basak
Thank you for taking the time to report this bug and helping to make
Ubuntu better.

Since it seems likely to me that this is a local configuration problem,
rather than a bug in Ubuntu, I'm marking this bug as Incomplete.

If indeed this is a local configuration problem, you can find pointers
to get help for this sort of problem here:
http://www.ubuntu.com/support/community

Or if you believe that this is really a bug, then you may find it
helpful to read "How to report bugs effectively"
http://www.chiark.greenend.org.uk/~sgtatham/bugs.html. We'd be grateful
if you would then provide a more complete description of the problem,
explain why you believe this is a bug in Ubuntu rather than a problem
specific to your system, and then change the bug status back to New.


** Changed in: heimdal (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to heimdal in Ubuntu.
https://bugs.launchpad.net/bugs/1880276

Title:
  package libhx509-5-heimdal:i386 7.7.0+dfsg-1ubuntu1 failed to
  install/upgrade: package is in a very bad inconsistent state; you
  should  reinstall it before attempting configuration

Status in heimdal package in Ubuntu:
  Incomplete

Bug description:
  There were crashes.

  ProblemType: Package
  DistroRelease: Ubuntu 20.04
  Package: libhx509-5-heimdal:i386 7.7.0+dfsg-1ubuntu1
  ProcVersionSignature: Ubuntu 5.4.0-31.35-generic 5.4.34
  Uname: Linux 5.4.0-31-generic x86_64
  NonfreeKernelModules: nvidia_modeset nvidia
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: skip
  Date: Thu May 21 19:32:48 2020
  ErrorMessage: package is in a very bad inconsistent state; you should  
reinstall it before attempting configuration
  InstallationDate: Installed on 2020-05-21 (1 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  PackageArchitecture: i386
  Python3Details: /usr/bin/python3.8, Python 3.8.2, python3-minimal, 
3.8.2-0ubuntu2
  PythonDetails: N/A
  RelatedPackageVersions:
   dpkg 1.19.7ubuntu3
   apt  2.0.2ubuntu0.1
  SourcePackage: heimdal
  Title: package libhx509-5-heimdal:i386 7.7.0+dfsg-1ubuntu1 failed to 
install/upgrade: package is in a very bad inconsistent state; you should  
reinstall it before attempting configuration
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/heimdal/+bug/1880276/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880209] Re: slapd configuration does not ask for olcbackend and doesn't add one. Has to be added by hand.

2020-05-27 Thread Robie Basak
> This was done intentionally as it's much more common to configure things
per-database than per-backend.

In that case, this is presumably Won't Fix for openldap, unless someone
wants to start a discussion about that? Thank you to Mario for
reporting, and Ryan for confirming the status.

** Changed in: openldap (Ubuntu)
   Status: New => Won't Fix

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openldap in Ubuntu.
https://bugs.launchpad.net/bugs/1880209

Title:
  slapd configuration does not ask for olcbackend and doesn't add one.
  Has to be added by hand.

Status in Ubuntu Server Guide:
  Fix Released
Status in openldap package in Ubuntu:
  Won't Fix

Bug description:
  Installing slapd and ldap-utils results in missing backend

  dn: olcBackend={0}mdb,cn=config

  the installer skips the installation step. Has to be added by
  ldpamodify.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: slapd 2.4.49+dfsg-2ubuntu1.2
  ProcVersionSignature: Ubuntu 5.4.0-31.35-generic 5.4.34
  Uname: Linux 5.4.0-31-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CNConfig:
   Error: command ['pkexec', '/usr/bin/ldapsearch', '-Q', '-LLL', '-Y 
EXTERNAL', '-H ldapi:///', '-b cn=config'] failed with exit code 127: 
polkit-agent-helper-1: error response to PolicyKit daemon: 
GDBus.Error:org.freedesktop.PolicyKit1.Error.Failed: No session for cookie
   Error executing command as another user: Not authorized
   
   This incident has been reported.
  CasperMD5CheckResult: skip
  Date: Fri May 22 18:27:59 2020
  InstallationDate: Installed on 2020-04-20 (32 days ago)
  InstallationMedia: Ubuntu-Server 20.04 LTS "Focal Fossa" - Beta amd64 
(20200417)
  SourcePackage: openldap
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/serverguide/+bug/1880209/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880864] Re: networkmanager IKE VPN connection causes DNS leak

2020-05-27 Thread Fabrice Meyer
As a workaround, I placed the following script in
/etc/NetworkManager/dispatcher.d/02-vpnupdown location. It will restart
systemd-resolved service everytime you bring up a vpn connection
allowing to use as current dns the one provided by the vpn. I tried to
send a SIGRTMIN+1 signal to systemd-resolve to flush dns server but it
randomly have the desired effect by cli but never by a script triggered
by a vpn-up event from network-manager. On vpn-down event, dns
configuration is fine so I won't restart the service to avoid restarting
it too often.

Hope this will help someone while this issue is being fixed.

#!/bin/bash

STATUS=$2

case "$STATUS" in
'vpn-up') systemctl restart systemd-resolved;;
esac

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1880864

Title:
  networkmanager IKE VPN connection causes DNS leak

Status in network-manager package in Ubuntu:
  New

Bug description:
  Description:  Ubuntu 20.04 LTS
  Release:  20.04

  network-manager:
Installé : 1.22.10-1ubuntu1
Candidat : 1.22.10-1ubuntu1
   Table de version :
   *** 1.22.10-1ubuntu1 500
  500 http://fr.archive.ubuntu.com/ubuntu focal/main amd64 Packages
  100 /var/lib/dpkg/status

  
  Connecting to a IPSEC IKE VPN does not update correctly update 
systemd-resolve dns parameters: DNS provided by the VPN tunnel is seen by 
systemd-resolve but not use to resolve dns queries resulting to a DNS leak. I 
tried to play with network manager priority which as no effect: default setting 
seems to be fine as the dns provided by the vpn appears on top of dns list 
provided by "systemd-resolve --status" result bellow.

  I found out a way to get it working by restarting systemd-resolve
  service after the vpn connection is established. I think (pure
  speculation, I don't know how systemd-resolve works) systemd-resolve
  evaluate which dns use, the one provided by the vpn is the first one
  then it decide to use it. This evaluation should be triggered when
  tunnel is bringed up.

  Bringing up an IPSEC IKE VPN does not create a new interface, it will
  use the same used by the default network interface where is configured
  the gateway. I think a fix would be to find out a way to triggered the
  dns election of systemd-resolve to update the "Current DNS Server".

  Maybe it is a bug with systemd-resolve but as I don't know how
  everything work together, I choose to report this here.

  You will find my network manager config for this particular ipsec
  tunnel bellow.

  Before systemctl restart systemd-resolved.service

  Global
 LLMNR setting: no  
  MulticastDNS setting: no  
DNSOverTLS setting: no  
DNSSEC setting: no  
  DNSSEC supported: no  
DNSSEC NTA: 10.in-addr.arpa 
16.172.in-addr.arpa 
168.192.in-addr.arpa
17.172.in-addr.arpa 
18.172.in-addr.arpa 
19.172.in-addr.arpa 
20.172.in-addr.arpa 
21.172.in-addr.arpa 
22.172.in-addr.arpa 
23.172.in-addr.arpa 
24.172.in-addr.arpa 
25.172.in-addr.arpa 
26.172.in-addr.arpa 
27.172.in-addr.arpa 
28.172.in-addr.arpa 
29.172.in-addr.arpa 
30.172.in-addr.arpa 
31.172.in-addr.arpa 
corp
d.f.ip6.arpa
home
internal
intranet
lan 
local   
private 
test

  Link 2 (eno1)
Current Scopes: DNS  
  DefaultRoute setting: yes  
 LLMNR setting: yes  
  MulticastDNS setting: no   
DNSOverTLS setting: no   
DNSSEC setting: no   
  DNSSEC supported: no   
Current DNS Server: 192.168.10.1
   DNS Servers: 192.168.1.1  #DNS from VPN
192.168.10.1 #DNS from DHCP
DNS Domain: lan
~.

  after systemctl restart systemd-resolved.service

  Global
 LLMNR setting: no  
  MulticastDNS setting: no  
DNSOverTLS setting: no  
DNSSEC setting: no  
  DNSSEC supported: no  
DNSSEC NTA: 10.in-addr.arpa 
16.172.in-addr.arpa 

[Touch-packages] [Bug 1880853] Re: libc6-lse lets update-initramfs fail on AWS m6g instances

2020-05-27 Thread Sorah Fukumori
note that there's a difference of "atomics" in /proc/cpuinfo features
between a1 instances and m6g instances.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1880853

Title:
  libc6-lse lets update-initramfs fail on AWS m6g instances

Status in cloud-images:
  New
Status in btrfs-progs package in Ubuntu:
  New
Status in glibc package in Ubuntu:
  New
Status in initramfs-tools package in Ubuntu:
  New

Bug description:
  With Ubuntu 20.04 on AWS m6g.* instance family, installing libc6-lse
  lets update-initramfs always fail with the following error:

  ubuntu@ip-10-18-23-79:~$ sudo update-initramfs -u
  update-initramfs: Generating /boot/initrd.img-5.4.0-1011-aws
  E: /usr/share/initramfs-tools/hooks/btrfs failed with return 1.
  update-initramfs: failed for /boot/initrd.img-5.4.0-1011-aws with 1.

  ## Steps to reproduce (on AWS)

  ### With focal 20200423 AMI

  1. Find the following AMI and launch on m6g instance family

 ubuntu/images/hvm-ssd/ubuntu-focal-20.04-arm64-server-20200423

  2. Run: sudo apt update && sudo apt install libc6-lse
  3. Try: sudo update-initramfs -u

  ### With focal 20200522 AMI

  1. Find the following AMI and launch on m6g instance family

 ubuntu/images/hvm-ssd/ubuntu-focal-20.04-arm64-server-20200522

  2. Try: sudo update-initramfs -u

  ## Note

  - The entire log of the above steps performed on 20200423 AMI is attached.
  - Latest cloud-image AMI 
"ubuntu/images/hvm-ssd/ubuntu-focal-20.04-arm64-server-20200522" includes 
libc6-lse. On 20200522 AMI, this doesn't reproduce after removing libc6-lse 
manually.
  - This doesn't reproduce on EC2 a1.* instance family.

  ## Expected behavior

  Does not fail.

  ## Background to find this bug

  As the 20200522 AMI includes libc6-lse out-of-the-box & apt-get
  upgrade pulls newer package that triggers update-initramfs, apt-get
  upgrade always fail on 20200522 AMI.

  
  the following is an apport report on 20200423 AMI:

  

  ProblemType: Bug
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: arm64
  CasperMD5CheckResult: skip
  Date: Wed May 27 09:52:16 2020
  Dependencies:
   gcc-10-base 10-20200411-0ubuntu1
   libc6 2.31-0ubuntu9
   libcrypt1 1:4.4.10-10ubuntu4
   libgcc-s1 10-20200411-0ubuntu1
   libidn2-0 2.2.0-2
   libunistring2 0.9.10-2
  DistroRelease: Ubuntu 20.04
  Ec2AMI: ami-061102f51d47b1c24
  Ec2AMIManifest: (unknown)
  Ec2AvailabilityZone: ap-northeast-1c
  Ec2InstanceType: m6g.medium
  Ec2Kernel: unavailable
  Ec2Ramdisk: unavailable
  Package: libc6-lse 2.31-0ubuntu9
  PackageArchitecture: arm64
  ProcCpuinfoMinimal:
   processor  : 0
   BogoMIPS   : 243.75
   Features   : fp asimd evtstrm aes pmull sha1 sha2 crc32 atomics fphp 
asimdhp cpuid asimdrdm lrcpc dcpop asimddp ssbs
   CPU implementer: 0x41
   CPU architecture: 8
   CPU variant: 0x3
   CPU part   : 0xd0c
   CPU revision   : 1
  ProcEnviron:
   LANG=C.UTF-8
   TERM=screen-256color
   PATH=(custom, no user)
   SHELL=/bin/bash
  ProcVersionSignature: Ubuntu 5.4.0-1009.9-aws 5.4.30
  SourcePackage: glibc
  Tags:  focal ec2-images
  Uname: Linux 5.4.0-1009-aws aarch64
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/cloud-images/+bug/1880853/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880968] Re: fixrtc fails due to bad format of input to the date command

2020-05-27 Thread Brian Murray
** Tags added: groovy

** Tags added: focal

** Changed in: initramfs-tools (Ubuntu)
   Importance: Undecided => Medium

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1880968

Title:
  fixrtc fails due to bad format of input to the date command

Status in initramfs-tools package in Ubuntu:
  New

Bug description:
  The fixrtc script is failing with message:

  date: invalid date '  Wed Apr  1 17:23:44 2020'

  when calling the date command. It looks like it does not like the
  leading spaces for the input date. The date is taken from 'dumpe2fs
  -h' ouptput, and some clean-up on it happens, but it looks like it is
  not enough for BusyBox' date command, at least for the version in
  focal.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/1880968/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880853] Re: libc6-lse lets update-initramfs fail on AWS m6g instances

2020-05-27 Thread Sorah Fukumori
** Also affects: btrfs-progs (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1880853

Title:
  libc6-lse lets update-initramfs fail on AWS m6g instances

Status in cloud-images:
  New
Status in btrfs-progs package in Ubuntu:
  New
Status in glibc package in Ubuntu:
  New
Status in initramfs-tools package in Ubuntu:
  New

Bug description:
  With Ubuntu 20.04 on AWS m6g.* instance family, installing libc6-lse
  lets update-initramfs always fail with the following error:

  ubuntu@ip-10-18-23-79:~$ sudo update-initramfs -u
  update-initramfs: Generating /boot/initrd.img-5.4.0-1011-aws
  E: /usr/share/initramfs-tools/hooks/btrfs failed with return 1.
  update-initramfs: failed for /boot/initrd.img-5.4.0-1011-aws with 1.

  ## Steps to reproduce (on AWS)

  ### With focal 20200423 AMI

  1. Find the following AMI and launch on m6g instance family

 ubuntu/images/hvm-ssd/ubuntu-focal-20.04-arm64-server-20200423

  2. Run: sudo apt update && sudo apt install libc6-lse
  3. Try: sudo update-initramfs -u

  ### With focal 20200522 AMI

  1. Find the following AMI and launch on m6g instance family

 ubuntu/images/hvm-ssd/ubuntu-focal-20.04-arm64-server-20200522

  2. Try: sudo update-initramfs -u

  ## Note

  - The entire log of the above steps performed on 20200423 AMI is attached.
  - Latest cloud-image AMI 
"ubuntu/images/hvm-ssd/ubuntu-focal-20.04-arm64-server-20200522" includes 
libc6-lse. On 20200522 AMI, this doesn't reproduce after removing libc6-lse 
manually.
  - This doesn't reproduce on EC2 a1.* instance family.

  ## Expected behavior

  Does not fail.

  ## Background to find this bug

  As the 20200522 AMI includes libc6-lse out-of-the-box & apt-get
  upgrade pulls newer package that triggers update-initramfs, apt-get
  upgrade always fail on 20200522 AMI.

  
  the following is an apport report on 20200423 AMI:

  

  ProblemType: Bug
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: arm64
  CasperMD5CheckResult: skip
  Date: Wed May 27 09:52:16 2020
  Dependencies:
   gcc-10-base 10-20200411-0ubuntu1
   libc6 2.31-0ubuntu9
   libcrypt1 1:4.4.10-10ubuntu4
   libgcc-s1 10-20200411-0ubuntu1
   libidn2-0 2.2.0-2
   libunistring2 0.9.10-2
  DistroRelease: Ubuntu 20.04
  Ec2AMI: ami-061102f51d47b1c24
  Ec2AMIManifest: (unknown)
  Ec2AvailabilityZone: ap-northeast-1c
  Ec2InstanceType: m6g.medium
  Ec2Kernel: unavailable
  Ec2Ramdisk: unavailable
  Package: libc6-lse 2.31-0ubuntu9
  PackageArchitecture: arm64
  ProcCpuinfoMinimal:
   processor  : 0
   BogoMIPS   : 243.75
   Features   : fp asimd evtstrm aes pmull sha1 sha2 crc32 atomics fphp 
asimdhp cpuid asimdrdm lrcpc dcpop asimddp ssbs
   CPU implementer: 0x41
   CPU architecture: 8
   CPU variant: 0x3
   CPU part   : 0xd0c
   CPU revision   : 1
  ProcEnviron:
   LANG=C.UTF-8
   TERM=screen-256color
   PATH=(custom, no user)
   SHELL=/bin/bash
  ProcVersionSignature: Ubuntu 5.4.0-1009.9-aws 5.4.30
  SourcePackage: glibc
  Tags:  focal ec2-images
  Uname: Linux 5.4.0-1009-aws aarch64
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/cloud-images/+bug/1880853/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880968] Re: fixrtc fails due to bad format of input to the date command

2020-05-27 Thread Alfonso Sanchez-Beato
See attached debdiff for the fix

** Patch added: "initramfs-tools_debdiff.patch"
   
https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/1880968/+attachment/5377425/+files/initramfs-tools_debdiff.patch

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1880968

Title:
  fixrtc fails due to bad format of input to the date command

Status in initramfs-tools package in Ubuntu:
  New

Bug description:
  The fixrtc script is failing with message:

  date: invalid date '  Wed Apr  1 17:23:44 2020'

  when calling the date command. It looks like it does not like the
  leading spaces for the input date. The date is taken from 'dumpe2fs
  -h' ouptput, and some clean-up on it happens, but it looks like it is
  not enough for BusyBox' date command, at least for the version in
  focal.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/1880968/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880968] [NEW] fixrtc fails due to bad format of input to the date command

2020-05-27 Thread Alfonso Sanchez-Beato
Public bug reported:

The fixrtc script is failing with message:

date: invalid date '  Wed Apr  1 17:23:44 2020'

when calling the date command. It looks like it does not like the
leading spaces for the input date. The date is taken from 'dumpe2fs -h'
ouptput, and some clean-up on it happens, but it looks like it is not
enough for BusyBox' date command, at least for the version in focal.

** Affects: initramfs-tools (Ubuntu)
 Importance: Undecided
 Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1880968

Title:
  fixrtc fails due to bad format of input to the date command

Status in initramfs-tools package in Ubuntu:
  New

Bug description:
  The fixrtc script is failing with message:

  date: invalid date '  Wed Apr  1 17:23:44 2020'

  when calling the date command. It looks like it does not like the
  leading spaces for the input date. The date is taken from 'dumpe2fs
  -h' ouptput, and some clean-up on it happens, but it looks like it is
  not enough for BusyBox' date command, at least for the version in
  focal.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/1880968/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1876018] Re: 40-vm-hotadd.rules attempts to set non-existent sysfs parameters

2020-05-27 Thread Balint Reczey
@ddstreet Could you please include this fix in the next upload to Focal?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1876018

Title:
  40-vm-hotadd.rules attempts to set non-existent sysfs parameters

Status in systemd package in Ubuntu:
  Fix Released
Status in systemd source package in Focal:
  New

Bug description:
  In focal, udev's 40-vm-hotadd.rules (from debian/extra/rules-ubuntu)
  tries to write to invalid (as of 5.4.0-1010-azure) sysfs nodes
  resulting in warnings such as:

  Apr 29 22:36:46 focal01 systemd-udevd[266]: memory7:
  /usr/lib/udev/rules.d/40-vm-hotadd.rules:9 Failed to write
  ATTR{/sys/devices/system/memory/memory7/state}, ignoring: Invalid
  argument

  Perhaps 40-vm-hotadd.rules needs to be updated for 5.4 semantics,
  removed, or something else. This behavior is present on systems
  upgraded from 18.04 (via d-r-u) as well as new focal systems, upon
  first reboot of the VM.

  udev: 245.4-4ubuntu3

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1876018/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1875671] Re: wayland: desktop folder missing in sidebar

2020-05-27 Thread corrado venturini
Same problem on Ubuntu 20.10

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gtk+3.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1875671

Title:
  wayland: desktop folder missing in sidebar

Status in GTK+:
  Unknown
Status in gtk+3.0 package in Ubuntu:
  Triaged

Bug description:
  Using Wayland session nautilus home window does not show Desktop folder in 
sidebar while is dispayed using X11 session.
  see attachment.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: nautilus 1:3.36.1.1-1ubuntu2
  Uname: Linux 5.7.0-050700rc3-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: skip
  CurrentDesktop: ubuntu:GNOME
  Date: Tue Apr 28 17:24:45 2020
  GsettingsChanges: b'org.gnome.nautilus.window-state' b'initial-size' b'(1059, 
852)'
  InstallationDate: Installed on 2020-04-23 (4 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  SourcePackage: nautilus
  UpgradeStatus: No upgrade log present (probably fresh install)
  usr_lib_nautilus:

To manage notifications about this bug go to:
https://bugs.launchpad.net/gtk/+bug/1875671/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880853] Re: libc6-lse lets update-initramfs fail on AWS m6g instances

2020-05-27 Thread Fumihito YOSHIDA
** Also affects: cloud-images
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1880853

Title:
  libc6-lse lets update-initramfs fail on AWS m6g instances

Status in cloud-images:
  New
Status in glibc package in Ubuntu:
  New
Status in initramfs-tools package in Ubuntu:
  New

Bug description:
  With Ubuntu 20.04 on AWS m6g.* instance family, installing libc6-lse
  lets update-initramfs always fail with the following error:

  ubuntu@ip-10-18-23-79:~$ sudo update-initramfs -u
  update-initramfs: Generating /boot/initrd.img-5.4.0-1011-aws
  E: /usr/share/initramfs-tools/hooks/btrfs failed with return 1.
  update-initramfs: failed for /boot/initrd.img-5.4.0-1011-aws with 1.

  ## Steps to reproduce (on AWS)

  ### With focal 20200423 AMI

  1. Find the following AMI and launch on m6g instance family

 ubuntu/images/hvm-ssd/ubuntu-focal-20.04-arm64-server-20200423

  2. Run: sudo apt update && sudo apt install libc6-lse
  3. Try: sudo update-initramfs -u

  ### With focal 20200522 AMI

  1. Find the following AMI and launch on m6g instance family

 ubuntu/images/hvm-ssd/ubuntu-focal-20.04-arm64-server-20200522

  2. Try: sudo update-initramfs -u

  ## Note

  - The entire log of the above steps performed on 20200423 AMI is attached.
  - Latest cloud-image AMI 
"ubuntu/images/hvm-ssd/ubuntu-focal-20.04-arm64-server-20200522" includes 
libc6-lse. On 20200522 AMI, this doesn't reproduce after removing libc6-lse 
manually.
  - This doesn't reproduce on EC2 a1.* instance family.

  ## Expected behavior

  Does not fail.

  ## Background to find this bug

  As the 20200522 AMI includes libc6-lse out-of-the-box & apt-get
  upgrade pulls newer package that triggers update-initramfs, apt-get
  upgrade always fail on 20200522 AMI.

  
  the following is an apport report on 20200423 AMI:

  

  ProblemType: Bug
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: arm64
  CasperMD5CheckResult: skip
  Date: Wed May 27 09:52:16 2020
  Dependencies:
   gcc-10-base 10-20200411-0ubuntu1
   libc6 2.31-0ubuntu9
   libcrypt1 1:4.4.10-10ubuntu4
   libgcc-s1 10-20200411-0ubuntu1
   libidn2-0 2.2.0-2
   libunistring2 0.9.10-2
  DistroRelease: Ubuntu 20.04
  Ec2AMI: ami-061102f51d47b1c24
  Ec2AMIManifest: (unknown)
  Ec2AvailabilityZone: ap-northeast-1c
  Ec2InstanceType: m6g.medium
  Ec2Kernel: unavailable
  Ec2Ramdisk: unavailable
  Package: libc6-lse 2.31-0ubuntu9
  PackageArchitecture: arm64
  ProcCpuinfoMinimal:
   processor  : 0
   BogoMIPS   : 243.75
   Features   : fp asimd evtstrm aes pmull sha1 sha2 crc32 atomics fphp 
asimdhp cpuid asimdrdm lrcpc dcpop asimddp ssbs
   CPU implementer: 0x41
   CPU architecture: 8
   CPU variant: 0x3
   CPU part   : 0xd0c
   CPU revision   : 1
  ProcEnviron:
   LANG=C.UTF-8
   TERM=screen-256color
   PATH=(custom, no user)
   SHELL=/bin/bash
  ProcVersionSignature: Ubuntu 5.4.0-1009.9-aws 5.4.30
  SourcePackage: glibc
  Tags:  focal ec2-images
  Uname: Linux 5.4.0-1009-aws aarch64
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/cloud-images/+bug/1880853/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880853] Re: libc6-lse lets update-initramfs fail on AWS m6g instances

2020-05-27 Thread Balint Reczey
** Tags added: rls-ff-incoming

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1880853

Title:
  libc6-lse lets update-initramfs fail on AWS m6g instances

Status in glibc package in Ubuntu:
  New
Status in initramfs-tools package in Ubuntu:
  New

Bug description:
  With Ubuntu 20.04 on AWS m6g.* instance family, installing libc6-lse
  lets update-initramfs always fail with the following error:

  ubuntu@ip-10-18-23-79:~$ sudo update-initramfs -u
  update-initramfs: Generating /boot/initrd.img-5.4.0-1011-aws
  E: /usr/share/initramfs-tools/hooks/btrfs failed with return 1.
  update-initramfs: failed for /boot/initrd.img-5.4.0-1011-aws with 1.

  ## Steps to reproduce (on AWS)

  ### With focal 20200423 AMI

  1. Find the following AMI and launch on m6g instance family

 ubuntu/images/hvm-ssd/ubuntu-focal-20.04-arm64-server-20200423

  2. Run: sudo apt update && sudo apt install libc6-lse
  3. Try: sudo update-initramfs -u

  ### With focal 20200522 AMI

  1. Find the following AMI and launch on m6g instance family

 ubuntu/images/hvm-ssd/ubuntu-focal-20.04-arm64-server-20200522

  2. Try: sudo update-initramfs -u

  ## Note

  - The entire log of the above steps performed on 20200423 AMI is attached.
  - Latest cloud-image AMI 
"ubuntu/images/hvm-ssd/ubuntu-focal-20.04-arm64-server-20200522" includes 
libc6-lse. On 20200522 AMI, this doesn't reproduce after removing libc6-lse 
manually.
  - This doesn't reproduce on EC2 a1.* instance family.

  ## Expected behavior

  Does not fail.

  ## Background to find this bug

  As the 20200522 AMI includes libc6-lse out-of-the-box & apt-get
  upgrade pulls newer package that triggers update-initramfs, apt-get
  upgrade always fail on 20200522 AMI.

  
  the following is an apport report on 20200423 AMI:

  

  ProblemType: Bug
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: arm64
  CasperMD5CheckResult: skip
  Date: Wed May 27 09:52:16 2020
  Dependencies:
   gcc-10-base 10-20200411-0ubuntu1
   libc6 2.31-0ubuntu9
   libcrypt1 1:4.4.10-10ubuntu4
   libgcc-s1 10-20200411-0ubuntu1
   libidn2-0 2.2.0-2
   libunistring2 0.9.10-2
  DistroRelease: Ubuntu 20.04
  Ec2AMI: ami-061102f51d47b1c24
  Ec2AMIManifest: (unknown)
  Ec2AvailabilityZone: ap-northeast-1c
  Ec2InstanceType: m6g.medium
  Ec2Kernel: unavailable
  Ec2Ramdisk: unavailable
  Package: libc6-lse 2.31-0ubuntu9
  PackageArchitecture: arm64
  ProcCpuinfoMinimal:
   processor  : 0
   BogoMIPS   : 243.75
   Features   : fp asimd evtstrm aes pmull sha1 sha2 crc32 atomics fphp 
asimdhp cpuid asimdrdm lrcpc dcpop asimddp ssbs
   CPU implementer: 0x41
   CPU architecture: 8
   CPU variant: 0x3
   CPU part   : 0xd0c
   CPU revision   : 1
  ProcEnviron:
   LANG=C.UTF-8
   TERM=screen-256color
   PATH=(custom, no user)
   SHELL=/bin/bash
  ProcVersionSignature: Ubuntu 5.4.0-1009.9-aws 5.4.30
  SourcePackage: glibc
  Tags:  focal ec2-images
  Uname: Linux 5.4.0-1009-aws aarch64
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/glibc/+bug/1880853/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880864] [NEW] networkmanager IKE VPN connection causes DNS leak

2020-05-27 Thread Fabrice Meyer
Public bug reported:

Description:Ubuntu 20.04 LTS
Release:20.04

network-manager:
  Installé : 1.22.10-1ubuntu1
  Candidat : 1.22.10-1ubuntu1
 Table de version :
 *** 1.22.10-1ubuntu1 500
500 http://fr.archive.ubuntu.com/ubuntu focal/main amd64 Packages
100 /var/lib/dpkg/status


Connecting to a IPSEC IKE VPN does not update correctly update systemd-resolve 
dns parameters: DNS provided by the VPN tunnel is seen by systemd-resolve but 
not use to resolve dns queries resulting to a DNS leak. I tried to play with 
network manager priority which as no effect: default setting seems to be fine 
as the dns provided by the vpn appears on top of dns list provided by 
"systemd-resolve --status" result bellow.

I found out a way to get it working by restarting systemd-resolve
service after the vpn connection is established. I think (pure
speculation, I don't know how systemd-resolve works) systemd-resolve
evaluate which dns use, the one provided by the vpn is the first one
then it decide to use it. This evaluation should be triggered when
tunnel is bringed up.

Bringing up an IPSEC IKE VPN does not create a new interface, it will
use the same used by the default network interface where is configured
the gateway. I think a fix would be to find out a way to triggered the
dns election of systemd-resolve to update the "Current DNS Server".

Maybe it is a bug with systemd-resolve but as I don't know how
everything work together, I choose to report this here.

You will find my network manager config for this particular ipsec tunnel
bellow.

Before systemctl restart systemd-resolved.service

Global
   LLMNR setting: no  
MulticastDNS setting: no  
  DNSOverTLS setting: no  
  DNSSEC setting: no  
DNSSEC supported: no  
  DNSSEC NTA: 10.in-addr.arpa 
  16.172.in-addr.arpa 
  168.192.in-addr.arpa
  17.172.in-addr.arpa 
  18.172.in-addr.arpa 
  19.172.in-addr.arpa 
  20.172.in-addr.arpa 
  21.172.in-addr.arpa 
  22.172.in-addr.arpa 
  23.172.in-addr.arpa 
  24.172.in-addr.arpa 
  25.172.in-addr.arpa 
  26.172.in-addr.arpa 
  27.172.in-addr.arpa 
  28.172.in-addr.arpa 
  29.172.in-addr.arpa 
  30.172.in-addr.arpa 
  31.172.in-addr.arpa 
  corp
  d.f.ip6.arpa
  home
  internal
  intranet
  lan 
  local   
  private 
  test

Link 2 (eno1)
  Current Scopes: DNS  
DefaultRoute setting: yes  
   LLMNR setting: yes  
MulticastDNS setting: no   
  DNSOverTLS setting: no   
  DNSSEC setting: no   
DNSSEC supported: no   
  Current DNS Server: 192.168.10.1
 DNS Servers: 192.168.1.1  #DNS from VPN
  192.168.10.1 #DNS from DHCP
  DNS Domain: lan
  ~.

after systemctl restart systemd-resolved.service

Global
   LLMNR setting: no  
MulticastDNS setting: no  
  DNSOverTLS setting: no  
  DNSSEC setting: no  
DNSSEC supported: no  
  DNSSEC NTA: 10.in-addr.arpa 
  16.172.in-addr.arpa 
  168.192.in-addr.arpa
  17.172.in-addr.arpa 
  18.172.in-addr.arpa 
  19.172.in-addr.arpa 
  20.172.in-addr.arpa 
  21.172.in-addr.arpa 
  22.172.in-addr.arpa 
  23.172.in-addr.arpa 
  24.172.in-addr.arpa 
  25.172.in-addr.arpa 
  26.172.in-addr.arpa 
  27.172.in-addr.arpa 
  28.172.in-addr.arpa 
  29.172.in-addr.arpa 
  30.172.in-addr.arpa 
  31.172.in-addr.arpa 
  corp
  d.f.ip6.arpa
  home
  internal
  intranet
  lan 
  local   
  private 
  test 

Link 2 (eno1)
  Current Scopes: DNS  
DefaultRoute setting: yes  
   

[Touch-packages] [Bug 1874381] Re: LVM device unavailable after 18.04 to 20.04 upgrade Timed out waiting for device /dev/mapper/s5lp8--v g-home

2020-05-27 Thread veribaka
Reporting back:

"sudo vgck -t vg" reports that no changes would be made, it seems to be
looking in /dev/sda rather than /dev/nvme0n1.

"sudo vgscan" first reports that /dev/sda open failed and then
successfully detects the vg using metadata type lvm2.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to lvm2 in Ubuntu.
https://bugs.launchpad.net/bugs/1874381

Title:
  LVM device unavailable after 18.04 to 20.04 upgrade Timed out waiting
  for device /dev/mapper/s5lp8--v g-home

Status in Ubuntu on IBM z Systems:
  Confirmed
Status in lvm2 package in Ubuntu:
  Confirmed
Status in lvm2 source package in Focal:
  Confirmed

Bug description:
  After upgrading an LPAR configured with LVM from 18.04 to 20.04 /home is no 
longer mounted.
  During boot the console shows Timed out waiting for device 
/dev/mapper/s5lp8--vg-home

  Please see the attached dist-upgrade logs and console output for more
  detail.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu-z-systems/+bug/1874381/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880839] Re: Clock skew on testbeds

2020-05-27 Thread Balint Reczey
My suspect is systemd-timesyncd:

See src/timesync/timesyncd-manager.c:

/*  

  
 * Maximum delta in seconds which the system clock is gradually adjusted

  
 * (slewed) to approach the network time. Deltas larger that this are set by

  
 * letting the system time jump. The kernel's limit for adjtime is 0.5s.

  
 */
#define NTP_MAX_ADJUST  0.4

I suspect the boost compilation's load made the internal clock diverge
enough for systemd to jump the time.

The default PollIntervalMaxSec is 2048 seconds in systemd.

I can reduce it in systemd, but there is a jump as high as 0.85 in
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-focal/focal/amd64/b/boost1.71/20200317_211804_626ff@/log.gz
which could not have been prevented by just halving the default.

How about changing the autopkgtest setup to either change a default or
disable systemd-timesyncd or install chrony instead?


** Also affects: systemd (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1880839

Title:
  Clock skew on testbeds

Status in Auto Package Testing:
  New
Status in systemd package in Ubuntu:
  New

Bug description:
  Clock stepped backward on a testbed:

  
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac
  /autopkgtest-
  groovy/groovy/amd64/b/boost1.71/20200501_151103_1e387@/log.gz

  ...
  context  FAIL stderr: make[2]: Warning: File 
'/tmp/tmp.qPfGPM84a1/src/demo2.cpp' has modification time 0.52 s in the future
  autopkgtest [13:55:37]: test context:  - - - - - - - - - - stderr - - - - - - 
- - - -
  make[2]: Warning: File '/tmp/tmp.qPfGPM84a1/src/demo2.cpp' has modification 
time 0.52 s in the future
  make[2]: warning:  Clock skew detected.  Your build may be incomplete.
  ..

To manage notifications about this bug go to:
https://bugs.launchpad.net/auto-package-testing/+bug/1880839/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1872564] Re: /proc/sys/kernel/random/boot_id rule missing from abstractions/nameservice

2020-05-27 Thread Marco Davids
** Changed in: apparmor (Ubuntu Focal)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apparmor in Ubuntu.
https://bugs.launchpad.net/bugs/1872564

Title:
  /proc/sys/kernel/random/boot_id rule missing from
  abstractions/nameservice

Status in apparmor package in Ubuntu:
  Fix Released
Status in apparmor source package in Focal:
  Fix Released

Bug description:
  [Impact]

  On a default Focal install, systemd is used when looking up passwd and
  group information:

  # grep systemd /etc/nsswitch.conf
  passwd: files systemd
  group:  files systemd

  Daemons confined by Apparmor that also query those "databases" will
  cause this Apparmor denial:

  audit: type=1400 audit(1586825456.411:247): apparmor="DENIED"
  operation="open" namespace="root//lxd-fb1_"
  profile="/usr/sbin/named" name="/proc/sys/kernel/random/boot_id"
  pid=7370 comm="named" requested_mask="r" denied_mask="r" fsuid=100
  ouid=100

  Many daemons confined by Apparmor also happen to downgrade their
  privileges so they always end up looking up user/group information.

  To fix this problem, we had to backport an upstream patch which adds
  new directives to the 'nameservices' apparmor profile.

  [Test Case]

  In order to reproduce the bug, one can:

  1) launch a Focal container (named fb1 here)
  $ lxc launch images:ubuntu/focal fb1

  2) setup apparmor inside the container (already done on official Ubuntu 
images)
  $ lxc exec fb1 -- apt update && lxc exec fb1 -- apt install apparmor -y

  3) install bind9
  $ lxc exec fb1 -- apt install bind9 -y

  4) check kernel logs for DENIED
  $ journalctl -o cat -b0 -k | grep 'apparmor="DENIED"' | grep -F 
'profile="/usr/sbin/named"'

  or, depending on how logging is configured:

  $ dmesg | grep 'apparmor="DENIED"' | grep -F
  'profile="/usr/sbin/named"'

  Step 4, should not return anything. Because systemd is involved in the
  user/group lookups, it currently returns the following:

  audit: type=1400 audit(1586826072.115:266): apparmor="DENIED" 
operation="open" namespace="root//lxd-fb1_" 
profile="/usr/sbin/named" name="/proc/sys/kernel/random/boot_id" pid=13756 
comm="named" requested_mask="r" denied_mask="r" fsuid=100 ouid=100
  audit: type=1400 audit(1586826072.115:267): apparmor="DENIED" 
operation="open" namespace="root//lxd-fb1_" 
profile="/usr/sbin/named" name="/proc/sys/kernel/random/boot_id" pid=13756 
comm="named" requested_mask="r" denied_mask="r" fsuid=100 ouid=100
  audit: type=1400 audit(1586826072.115:268): apparmor="DENIED" 
operation="open" namespace="root//lxd-fb1_" 
profile="/usr/sbin/named" name="/proc/sys/kernel/random/boot_id" pid=13756 
comm="named" requested_mask="r" denied_mask="r" fsuid=100 ouid=100
  audit: type=1400 audit(1586826072.115:269): apparmor="DENIED" 
operation="open" namespace="root//lxd-fb1_" 
profile="/usr/sbin/named" name="/proc/sys/kernel/random/boot_id" pid=13756 
comm="named" requested_mask="r" denied_mask="r" fsuid=100 ouid=100
  audit: type=1400 audit(1586826072.115:270): apparmor="DENIED" 
operation="open" namespace="root//lxd-fb1_" 
profile="/usr/sbin/named" name="/proc/sys/kernel/random/boot_id" pid=13756 
comm="named" requested_mask="r" denied_mask="r" fsuid=100 ouid=100

  [Regression Potential]

  In order to fix this issue, 3 separate patches had to be backported.
  They are simple and self-contained, especially two of them, whose
  purposes are to add the definition of the @{run} variable and then to
  add a trailing slash at the end of the "/run" pathname.

  The other patch, albeit very simple, adds three statements to the
  'nameservice' profile in order to let processes access (read-only)
  files under "/run/systemd/userdb" and
  "/proc/sys/kernel/random/boot_id".  After thinking about the possible
  cases, the only possible problem I could envision was for a program
  that, not being able to access some of these files before, will now be
  able to do that and therefore exercise a part of its codebase which
  was not being used, possibly uncovering latent bugs in this software.
  But this is not a regression of apparmor per se.

  [Original Description]

  (Description and Test Case were moved above)

  # Workaround

  1) remove systemd from nsswitch.conf
  $ lxc exec fb1 -- sed -i 's/ systemd$/ # systemd/' /etc/nsswitch.conf
  2) restart named
  $ lxc exec fb1 -- service named restart
  3) notice no more denials in kernel logs

  # Additional information

  root@fb1:~# apt-cache policy apparmor
  apparmor:
    Installed: 2.13.3-7ubuntu4
    Candidate: 2.13.3-7ubuntu4
    Version table:
   *** 2.13.3-7ubuntu4 500
  500 http://archive.ubuntu.com/ubuntu focal/main amd64 Packages
  100 /var/lib/dpkg/status

  root@fb1:~# uname -a
  Linux fb1 5.3.0-46-generic #38~18.04.1-Ubuntu SMP Tue Mar 31 04:17:56 UTC 
2020 x86_64 x86_64 x86_64 

[Touch-packages] [Bug 1876065] Re: After unplug headphones and plug them again no sound can be heard

2020-05-27 Thread Sam Weston
This seems to have fixed the issue on my Dell XPS 15 9560. Thanks!
However if I leave my headphones plugged in, the speakers are selected
after a reboot, but that's a separate issue...

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1876065

Title:
  After unplug headphones and plug them again no sound can be heard

Status in pulseaudio package in Ubuntu:
  Fix Committed
Status in pulseaudio source package in Focal:
  Fix Committed
Status in pulseaudio source package in Groovy:
  Fix Committed

Bug description:
  * Impact
  Sound isn't automatically redirected to headphones when those are connected 
to a jack interface

  * Test case
  Disconnect the headsets
  Start your webbrowser/music player/video player and play some sound
  Connect the headsets to the jack interface

  -> the sound should be directly redirected to the plugged headsets

  * Regression potential
  Check that audio routing when connecting/disconnecting devices to the hack 
entry is working correctly

  

  After startup with headset plugged in they play sound nicely - no
  issue. When they are unplugged, the sound is switched to the speaker
  (laptop) - all good. However, when I plug the headset back there is no
  sound. I see the app on pavucontrol, the volume is fine - everything
  looks fine except there is no sound. I dumped output of "pactl list"
  command on startup (headset plugged), after unplugging the headset,
  and when it is plugged back. From the comparison of these outputs, it
  looks like the source has got muted after the headset is plugged.

  Source #1
   State: RUNNING
   Name: alsa_input.pci-_00_1f.3.analog-stereo
   Description: Built-in Audio Analog Stereo
   Driver: module-alsa-card.c
   Sample Specification: s16le 2ch 44100Hz
   Channel Map: front-left,front-right
   Owner Module: 7
   Mute: yes

  Attached three outputs:
  headset-in.txt - after startup with headset plugged - all fine.
  headset-out.txt - after unplugged headset - sound through the speaker - all 
fine.
  headset-back.txt - after plugged headset back - no sound.

  Any help greatly appreciated.

  Regards,
  Roman

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1876065/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880853] Re: libc6-lse lets update-initramfs fail on AWS m6g instances

2020-05-27 Thread sorah
** Also affects: initramfs-tools (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1880853

Title:
  libc6-lse lets update-initramfs fail on AWS m6g instances

Status in glibc package in Ubuntu:
  New
Status in initramfs-tools package in Ubuntu:
  New

Bug description:
  With Ubuntu 20.04 on AWS m6g.* instance family, installing libc6-lse
  lets update-initramfs always fail with the following error:

  ubuntu@ip-10-18-23-79:~$ sudo update-initramfs -u
  update-initramfs: Generating /boot/initrd.img-5.4.0-1011-aws
  E: /usr/share/initramfs-tools/hooks/btrfs failed with return 1.
  update-initramfs: failed for /boot/initrd.img-5.4.0-1011-aws with 1.

  ## Steps to reproduce (on AWS)

  ### With focal 20200423 AMI

  1. Find the following AMI and launch on m6g instance family

 ubuntu/images/hvm-ssd/ubuntu-focal-20.04-arm64-server-20200423

  2. Run: sudo apt update && sudo apt install libc6-lse
  3. Try: sudo update-initramfs -u

  ### With focal 20200522 AMI

  1. Find the following AMI and launch on m6g instance family

 ubuntu/images/hvm-ssd/ubuntu-focal-20.04-arm64-server-20200522

  2. Try: sudo update-initramfs -u

  ## Note

  - The entire log of the above steps performed on 20200423 AMI is attached.
  - Latest cloud-image AMI 
"ubuntu/images/hvm-ssd/ubuntu-focal-20.04-arm64-server-20200522" includes 
libc6-lse. On 20200522 AMI, this doesn't reproduce after removing libc6-lse 
manually.
  - This doesn't reproduce on EC2 a1.* instance family.

  ## Expected behavior

  Does not fail.

  ## Background to find this bug

  As the 20200522 AMI includes libc6-lse out-of-the-box & apt-get
  upgrade pulls newer package that triggers update-initramfs, apt-get
  upgrade always fail on 20200522 AMI.

  
  the following is an apport report on 20200423 AMI:

  

  ProblemType: Bug
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: arm64
  CasperMD5CheckResult: skip
  Date: Wed May 27 09:52:16 2020
  Dependencies:
   gcc-10-base 10-20200411-0ubuntu1
   libc6 2.31-0ubuntu9
   libcrypt1 1:4.4.10-10ubuntu4
   libgcc-s1 10-20200411-0ubuntu1
   libidn2-0 2.2.0-2
   libunistring2 0.9.10-2
  DistroRelease: Ubuntu 20.04
  Ec2AMI: ami-061102f51d47b1c24
  Ec2AMIManifest: (unknown)
  Ec2AvailabilityZone: ap-northeast-1c
  Ec2InstanceType: m6g.medium
  Ec2Kernel: unavailable
  Ec2Ramdisk: unavailable
  Package: libc6-lse 2.31-0ubuntu9
  PackageArchitecture: arm64
  ProcCpuinfoMinimal:
   processor  : 0
   BogoMIPS   : 243.75
   Features   : fp asimd evtstrm aes pmull sha1 sha2 crc32 atomics fphp 
asimdhp cpuid asimdrdm lrcpc dcpop asimddp ssbs
   CPU implementer: 0x41
   CPU architecture: 8
   CPU variant: 0x3
   CPU part   : 0xd0c
   CPU revision   : 1
  ProcEnviron:
   LANG=C.UTF-8
   TERM=screen-256color
   PATH=(custom, no user)
   SHELL=/bin/bash
  ProcVersionSignature: Ubuntu 5.4.0-1009.9-aws 5.4.30
  SourcePackage: glibc
  Tags:  focal ec2-images
  Uname: Linux 5.4.0-1009-aws aarch64
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/glibc/+bug/1880853/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1868520] Re: Wayland apps fail to run with zwp_linux_dmabuf error (failed to import supplied dmabufs: Unsupported buffer format 808669784 [DRM_FORMAT_XRGB2101010]) (or 808665665

2020-05-27 Thread Daniel van Vugt
Verified fixed on groovy with mesa 20.0.7

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1868520

Title:
  Wayland apps fail to run with zwp_linux_dmabuf error (failed to import
  supplied dmabufs: Unsupported buffer format 808669784
  [DRM_FORMAT_XRGB2101010]) (or 808665665 [DRM_FORMAT_ABGR2101010])

Status in Mesa:
  Fix Released
Status in MPV:
  Unknown
Status in Mutter:
  Fix Released
Status in mesa package in Ubuntu:
  Fix Released
Status in mutter package in Ubuntu:
  Won't Fix

Bug description:
  [Impact]

  Wayland apps fail to start in focal with:

  error 7: failed to import supplied dmabufs: Unsupported buffer format
  808669784

  [Test Case]

  Just run: es2gears_wayland

  [Regression Potential]

  Medium/unknown. The fix is quite new.

  [Other Info]

  When attempting to run es2gears_wayland against GNOME Shell, it fails
  with:

  EGL_VERSION = 1.5
  vertex shader info:
  fragment shader info:
  info:
  [destroyed object]: error 7: failed to import supplied dmabufs: Unsupported 
buffer format 808669784

  The full wayland protocol trace is:

  [3104432.914]  -> wl_display@1.get_registry(new id wl_registry@2)
  [3104432.972]  -> wl_disp...@1.sync(new id wl_callback@3)
  [3104433.139] wl_display@1.delete_id(3)
  [3104433.175] wl_registry@2.global(1, "wl_drm", 2)
  [3104433.207] wl_registry@2.global(2, "wl_compositor", 4)
  [3104433.240]  -> wl_regis...@2.bind(2, "wl_compositor", 1, new id 
[unknown]@4)
  [3104433.285] wl_registry@2.global(3, "wl_shm", 1)
  [3104433.316] wl_registry@2.global(4, "wl_output", 2)
  [3104433.347] wl_registry@2.global(5, "zxdg_output_manager_v1", 3)
  [3104433.376] wl_registry@2.global(6, "wl_data_device_manager", 3)
  [3104433.404] wl_registry@2.global(7, "gtk_primary_selection_device_manager", 
1)
  [3104433.432] wl_registry@2.global(8, "wl_subcompositor", 1)
  [3104433.459] wl_registry@2.global(9, "xdg_wm_base", 2)
  [3104433.485] wl_registry@2.global(10, "zxdg_shell_v6", 1)
  [3104433.513] wl_registry@2.global(11, "wl_shell", 1)
  [3104433.542]  -> wl_regis...@2.bind(11, "wl_shell", 1, new id [unknown]@5)
  [3104433.582] wl_registry@2.global(12, "gtk_shell1", 3)
  [3104433.611] wl_registry@2.global(13, "wp_viewporter", 1)
  [3104433.640] wl_registry@2.global(14, "zwp_pointer_gestures_v1", 1)
  [3104433.670] wl_registry@2.global(15, "zwp_tablet_manager_v2", 1)
  [3104433.699] wl_registry@2.global(16, "wl_seat", 5)
  [3104433.728] wl_registry@2.global(17, "zwp_relative_pointer_manager_v1", 1)
  [3104433.758] wl_registry@2.global(18, "zwp_pointer_constraints_v1", 1)
  [3104433.787] wl_registry@2.global(19, "zxdg_exporter_v1", 1)
  [3104433.816] wl_registry@2.global(20, "zxdg_importer_v1", 1)
  [3104433.846] wl_registry@2.global(21, "zwp_linux_dmabuf_v1", 3)
  [3104433.875] wl_registry@2.global(22, 
"zwp_keyboard_shortcuts_inhibit_manager_v1", 1)
  [3104433.904] wl_registry@2.global(23, "zwp_text_input_manager_v3", 1)
  [3104433.933] wl_registry@2.global(24, "gtk_text_input_manager", 1)
  [3104433.960] wl_registry@2.global(26, "wl_eglstream_controller", 1)
  [3104433.991] wl_callb...@3.done(3421)
  [3104436.266]  -> wl_display@1.get_registry(new id wl_registry@3)
  [3104436.279]  -> wl_disp...@1.sync(new id wl_callback@6)
  [3104436.647] wl_display@1.delete_id(6)
  [3104436.672] wl_registry@3.global(1, "wl_drm", 2)
  [3104436.726]  -> wl_regis...@3.bind(1, "wl_drm", 2, new id [unknown]@7)
  [3104436.744] wl_registry@3.global(2, "wl_compositor", 4)
  [3104436.780] wl_registry@3.global(3, "wl_shm", 1)
  [3104436.790] wl_registry@3.global(4, "wl_output", 2)
  [3104436.803] wl_registry@3.global(5, "zxdg_output_manager_v1", 3)
  [3104436.833] wl_registry@3.global(6, "wl_data_device_manager", 3)
  [3104436.868] wl_registry@3.global(7, "gtk_primary_selection_device_manager", 
1)
  [3104436.882] wl_registry@3.global(8, "wl_subcompositor", 1)
  [3104436.898] wl_registry@3.global(9, "xdg_wm_base", 2)
  [3104436.913] wl_registry@3.global(10, "zxdg_shell_v6", 1)
  [3104436.925] wl_registry@3.global(11, "wl_shell", 1)
  [3104436.937] wl_registry@3.global(12, "gtk_shell1", 3)
  [3104436.950] wl_registry@3.global(13, "wp_viewporter", 1)
  [3104436.963] wl_registry@3.global(14, "zwp_pointer_gestures_v1", 1)
  [3104436.976] wl_registry@3.global(15, "zwp_tablet_manager_v2", 1)
  [3104436.990] wl_registry@3.global(16, "wl_seat", 5)
  [3104437.001] wl_registry@3.global(17, "zwp_relative_pointer_manager_v1", 1)
  [3104437.013] wl_registry@3.global(18, "zwp_pointer_constraints_v1", 1)
  [3104437.026] wl_registry@3.global(19, "zxdg_exporter_v1", 1)
  [3104437.038] wl_registry@3.global(20, "zxdg_importer_v1", 1)
  [3104437.051] wl_registry@3.global(21, "zwp_linux_dmabuf_v1", 3)
  [3104437.066]  -> wl_regis...@3.bind(21, "zwp_linux_dmabuf_v1", 3, new id 
[unknown]@8)
  [3104437.083] wl_registry@3.global(22, 
"zwp_keyboard_shortcuts_inhibit_manager_v1", 1)
  

[Touch-packages] [Bug 1880841] [NEW] usr.sbin.nscd needs unix socket access to @userdb-*

2020-05-27 Thread Daniel Richard G.
Public bug reported:

This concerns apparmor-profiles 2.13.3-7ubuntu5 in Ubuntu focal.

I use the usr.sbin.nscd profile in enforce mode, and am seeing the
following messages in /var/log/syslog . I don't know if the SIGABRT is
related:

May 27 04:39:56 test-ubuntu64 kernel: [  199.392521] audit: type=1400 
audit(1590568796.975:76): apparmor="DENIED" operation="bind" profile="nscd" 
pid=1679 comm="nscd" family="unix" sock_type="dgram" protocol=0 
requested_mask="bind" denied_mask="bind" 
addr="@userdb-4a5d3fdcfb9afbd7fc75948800519358"
May 27 04:40:17 test-ubuntu64 systemd[1]: nscd.service: Main process exited, 
code=killed, status=6/ABRT
May 27 04:40:17 test-ubuntu64 systemd[1]: nscd.service: Failed with result 
'signal'.
May 27 04:40:17 test-ubuntu64 systemd[1]: nscd.service: Scheduled restart job, 
restart counter is at 9.


The @userdb-* binding looks like a systemd thing. Should a rule for this go 
into /etc/apparmor.d/abstractions/nameservice ?

** Affects: apparmor (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: focal

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apparmor in Ubuntu.
https://bugs.launchpad.net/bugs/1880841

Title:
  usr.sbin.nscd needs unix socket access to @userdb-*

Status in apparmor package in Ubuntu:
  New

Bug description:
  This concerns apparmor-profiles 2.13.3-7ubuntu5 in Ubuntu focal.

  I use the usr.sbin.nscd profile in enforce mode, and am seeing the
  following messages in /var/log/syslog . I don't know if the SIGABRT is
  related:

  May 27 04:39:56 test-ubuntu64 kernel: [  199.392521] audit: type=1400 
audit(1590568796.975:76): apparmor="DENIED" operation="bind" profile="nscd" 
pid=1679 comm="nscd" family="unix" sock_type="dgram" protocol=0 
requested_mask="bind" denied_mask="bind" 
addr="@userdb-4a5d3fdcfb9afbd7fc75948800519358"
  May 27 04:40:17 test-ubuntu64 systemd[1]: nscd.service: Main process exited, 
code=killed, status=6/ABRT
  May 27 04:40:17 test-ubuntu64 systemd[1]: nscd.service: Failed with result 
'signal'.
  May 27 04:40:17 test-ubuntu64 systemd[1]: nscd.service: Scheduled restart 
job, restart counter is at 9.

  
  The @userdb-* binding looks like a systemd thing. Should a rule for this go 
into /etc/apparmor.d/abstractions/nameservice ?

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apparmor/+bug/1880841/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1879960] Re: pcscd doesn't support ActivKEy SIM B/N: 0945423

2020-05-27 Thread Ludovic Rousseau
You are right. It looks like a problem with the ActivKey device.
I don't see what change could have created this regression.

First, do not use virtual machine. They often make the things more complex to 
debug.
Second, try to re-install a previous version of Ubuntu to check it was working 
fine.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pcsc-lite in Ubuntu.
https://bugs.launchpad.net/bugs/1879960

Title:
  pcscd doesn't support ActivKEy SIM B/N: 0945423

Status in pcsc-lite package in Ubuntu:
  New

Bug description:
  I have ActivKey SIM B/N: 0945423 (from banking authorization) which is not 
recognized by pcscd. Since it is not recognized, it is also not recognized by 
VMware Workstation VM which runs Windows. Banking software running in windows 
doesn't see the key and can't authenticate me.
  Few years ago, this was working on Ubuntu 18.04, so it must be something in 
version between.
  After restart of the pcscd service, USB key shows green light, but few 
seconds after it goes to red.

  sudo service pcscd status
  ● pcscd.service - PC/SC Smart Card Daemon
   Loaded: loaded (/lib/systemd/system/pcscd.service; indirect; vendor 
preset: enabled)
   Active: active (running) since Thu 2020-05-21 15:47:40 CEST; 24s ago
  TriggeredBy: ● pcscd.socket
 Docs: man:pcscd(8)
 Main PID: 230408 (pcscd)
Tasks: 5 (limit: 57614)
   Memory: 1.9M
   CGroup: /system.slice/pcscd.service
   └─230408 /usr/sbin/pcscd --foreground --auto-exit

  svi 21 15:47:40 rodigerlaptop1 systemd[1]: Started PC/SC Smart Card Daemon.
  svi 21 15:48:01 rodigerlaptop1 pcscd[230408]:  
ccid_usb.c:857:WriteUSB() write failed (1/12): -4 LIBUSB_ERROR_NO_DEVICE
  svi 21 15:48:04 rodigerlaptop1 pcscd[230408]: 02310986 
commands.c:249:CmdPowerOn Card absent or mute
  svi 21 15:48:04 rodigerlaptop1 pcscd[230408]: 0264 
commands.c:249:CmdPowerOn Card absent or mute
  svi 21 15:48:04 rodigerlaptop1 pcscd[230408]: 0343 
commands.c:249:CmdPowerOn Card absent or mute
  svi 21 15:48:04 rodigerlaptop1 pcscd[230408]: 0005 
ifdhandler.c:1221:IFDHPowerICC() PowerUp failed
  svi 21 15:48:04 rodigerlaptop1 pcscd[230408]: 0003 
eventhandler.c:305:EHStatusHandlerThread() Error powering up card: 2148532246 
0x80100016

  Result of pcsc_scan
  sudo pcsc_scan 
  Using reader plug'n play mechanism
  Scanning present readers...
  Waiting for the first reader...found one
  Scanning present readers...
  0: ActivIdentity Activkey_Sim [CCID Bulk Interface] 00 00
   
  Thu May 21 15:44:16 2020
   Reader 0: ActivIdentity Activkey_Sim [CCID Bulk Interface] 00 00
Event number: 0
Card state: Card inserted, Unresponsive card, 

  So USB key is visible

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: pcscd 1.8.26-3
  ProcVersionSignature: Ubuntu 5.4.0-31.35-generic 5.4.34
  Uname: Linux 5.4.0-31-generic x86_64
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair nvidia_modeset 
nvidia
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: skip
  CurrentDesktop: ubuntu:GNOME
  Date: Thu May 21 15:38:57 2020
  SourcePackage: pcsc-lite
  UpgradeStatus: Upgraded to focal on 2020-05-11 (10 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pcsc-lite/+bug/1879960/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1876882] Please test proposed package

2020-05-27 Thread Łukasz Zemczak
Hello Timo, or anyone else affected,

Accepted mesa into bionic-proposed. The package will build now and be
available at
https://launchpad.net/ubuntu/+source/mesa/20.0.4-2ubuntu1~18.04.2 in a
few hours, and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested, what testing has been
performed on the package and change the tag from verification-needed-
bionic to verification-done-bionic. If it does not fix the bug for you,
please add a comment stating that, and change the tag to verification-
failed-bionic. In either case, without details of your testing we will
not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1876882

Title:
  Backport packages for 18.04.5 HWE stack

Status in libclc package in Ubuntu:
  Invalid
Status in libdrm package in Ubuntu:
  Invalid
Status in llvm-toolchain-10 package in Ubuntu:
  Invalid
Status in mesa package in Ubuntu:
  Invalid
Status in xorg-server-hwe-18.04 package in Ubuntu:
  Invalid
Status in xserver-xorg-video-amdgpu-hwe-18.04 package in Ubuntu:
  Invalid
Status in xserver-xorg-video-ati-hwe-18.04 package in Ubuntu:
  Invalid
Status in libclc source package in Bionic:
  New
Status in libdrm source package in Bionic:
  Fix Committed
Status in llvm-toolchain-10 source package in Bionic:
  Fix Committed
Status in mesa source package in Bionic:
  Fix Committed
Status in xorg-server-hwe-18.04 source package in Bionic:
  Fix Committed
Status in xserver-xorg-video-amdgpu-hwe-18.04 source package in Bionic:
  Fix Committed
Status in xserver-xorg-video-ati-hwe-18.04 source package in Bionic:
  Fix Committed

Bug description:
  [Impact]

  These are needed for 18.04.5 images.

  [Test case]

  Boot a daily image, see that it still has the necessary stack
  installed and working.

  Check upgrade from stock bionic.

  [Regression potential]

  libdrm: very minimal chance for regressions

  llvm-10: a new package, no regression potential on it's own

  libclc: more or less just adds support for new llvm

  mesa: a new major release, but we'll pull the final stable release of
  20.0.x series, so there shouldn't be any regressions left at that
  point

  xserver: a new point-release

  xorg drivers: modest updates, if any

  [Other info]

  mesa and libclc will migrate to llvm-10 in a separate upload

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libclc/+bug/1876882/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1876065] Re: After unplug headphones and plug them again no sound can be heard

2020-05-27 Thread Vasilis
There still one problem.

When I plug in the headphones (with 3 pins no-mic or 4 pins with mic) it
switches the Input to "Microphone (plugged-in)" and strangely enough
there is no sound at all on the headphones.

If I change the microphone setting to anything "Internal Microphone
(plugged in)" or the "Headset Microphone (plugged-in)" I get sound on
the headphones

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1876065

Title:
  After unplug headphones and plug them again no sound can be heard

Status in pulseaudio package in Ubuntu:
  Fix Committed
Status in pulseaudio source package in Focal:
  Fix Committed
Status in pulseaudio source package in Groovy:
  Fix Committed

Bug description:
  * Impact
  Sound isn't automatically redirected to headphones when those are connected 
to a jack interface

  * Test case
  Disconnect the headsets
  Start your webbrowser/music player/video player and play some sound
  Connect the headsets to the jack interface

  -> the sound should be directly redirected to the plugged headsets

  * Regression potential
  Check that audio routing when connecting/disconnecting devices to the hack 
entry is working correctly

  

  After startup with headset plugged in they play sound nicely - no
  issue. When they are unplugged, the sound is switched to the speaker
  (laptop) - all good. However, when I plug the headset back there is no
  sound. I see the app on pavucontrol, the volume is fine - everything
  looks fine except there is no sound. I dumped output of "pactl list"
  command on startup (headset plugged), after unplugging the headset,
  and when it is plugged back. From the comparison of these outputs, it
  looks like the source has got muted after the headset is plugged.

  Source #1
   State: RUNNING
   Name: alsa_input.pci-_00_1f.3.analog-stereo
   Description: Built-in Audio Analog Stereo
   Driver: module-alsa-card.c
   Sample Specification: s16le 2ch 44100Hz
   Channel Map: front-left,front-right
   Owner Module: 7
   Mute: yes

  Attached three outputs:
  headset-in.txt - after startup with headset plugged - all fine.
  headset-out.txt - after unplugged headset - sound through the speaker - all 
fine.
  headset-back.txt - after plugged headset back - no sound.

  Any help greatly appreciated.

  Regards,
  Roman

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1876065/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1845797] Re: Microphone not detected Lenovo Yoga S940

2020-05-27 Thread Kai-Heng Feng
Can you please attach dmesg for both 5.4.0-29-generic and
5.4.0-31-generic? Thanks.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-driver in Ubuntu.
https://bugs.launchpad.net/bugs/1845797

Title:
  Microphone not detected Lenovo Yoga S940

Status in Linux:
  Confirmed
Status in alsa-driver package in Ubuntu:
  Confirmed
Status in linux package in Ubuntu:
  Incomplete

Bug description:
  Ubuntu 19.10 as well as 19.04 do not detect the microphone in Lenovo
  Yoga S940

  Attached the screen of gnome sound control panel.

  Inxi output:

  System:Host:  Kernel: 5.3.0-13-generic x86_64 bits: 64 Desktop: 
Gnome 3.34.0 Distro: Ubuntu 19.10 (Eoan Ermine) 
  Machine:   Type: Laptop System: LENOVO product: 81Q7 v: Lenovo Yoga 
S940-14IWL serial:  
 Mobo: LENOVO model: LNVNB161216 v: SDK0J40709 WIN serial:  UEFI: LENOVO v: AKCN34WW date: 06/12/2019 
  CPU:   Topology: Quad Core model: Intel Core i7-8565U bits: 64 type: MT 
MCP L2 cache: 8192 KiB 
 Speed: 1161 MHz min/max: 400/4600 MHz Core speeds (MHz): 1: 1161 
2: 1195 3: 1848 4: 976 5: 1041 6: 1209 7: 1061 
 8: 2229 
  Audio: Device-1: Intel Cannon Point-LP High Definition Audio driver: 
snd_hda_intel 
 Sound Server: ALSA v: k5.3.0-13-generic
  --- 
  ProblemType: Bug
  ApportVersion: 2.20.11-0ubuntu7
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  daniele2239 F pulseaudio
  CurrentDesktop: ubuntu:GNOME
  DistroRelease: Ubuntu 19.10
  InstallationDate: Installed on 2019-09-12 (17 days ago)
  InstallationMedia: Ubuntu 19.04 "Disco Dingo" - Release amd64 (20190416)
  MachineType: LENOVO 81Q7
  Package: pulseaudio 1:13.0-1ubuntu1
  PackageArchitecture: amd64
  ProcFB: 0 i915drmfb
  ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-5.3.0-13-generic 
root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=7
  ProcVersionSignature: Ubuntu 5.3.0-13.14-generic 5.3.0
  RelatedPackageVersions:
   linux-restricted-modules-5.3.0-13-generic N/A
   linux-backports-modules-5.3.0-13-generic  N/A
   linux-firmware1.182
  Tags:  eoan
  Uname: Linux 5.3.0-13-generic x86_64
  UpgradeStatus: Upgraded to eoan on 2019-09-21 (8 days ago)
  UserGroups: adm cdrom dip docker lpadmin microk8s plugdev sambashare sudo
  _MarkForUpload: True
  dmi.bios.date: 06/12/2019
  dmi.bios.vendor: LENOVO
  dmi.bios.version: AKCN34WW
  dmi.board.asset.tag: No Asset Tag
  dmi.board.name: LNVNB161216
  dmi.board.vendor: LENOVO
  dmi.board.version: SDK0J40709 WIN
  dmi.chassis.asset.tag: No Asset Tag
  dmi.chassis.type: 10
  dmi.chassis.vendor: LENOVO
  dmi.chassis.version: Lenovo Yoga S940-14IWL
  dmi.modalias: 
dmi:bvnLENOVO:bvrAKCN34WW:bd06/12/2019:svnLENOVO:pn81Q7:pvrLenovoYogaS940-14IWL:rvnLENOVO:rnLNVNB161216:rvrSDK0J40709WIN:cvnLENOVO:ct10:cvrLenovoYogaS940-14IWL:
  dmi.product.family: Yoga S940-14IWL
  dmi.product.name: 81Q7
  dmi.product.sku: LENOVO_MT_81Q7_BU_idea_FM_Yoga S940-14IWL
  dmi.product.version: Lenovo Yoga S940-14IWL
  dmi.sys.vendor: LENOVO

To manage notifications about this bug go to:
https://bugs.launchpad.net/linux/+bug/1845797/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1845797] Re: Microphone not detected Lenovo Yoga S940

2020-05-27 Thread Daniele Dellafiore
I reverted to 5.4.0-29-generic from 5.4.0-31-generic and now sound and
mic work ok.

Something in 5.4.0-31 which is the latest upgrade for Ubuntu 20.04,
breaks stuff.

I can confirm that with all kernel versions shipped with Ubuntu 20.04 up
to 5.4.0-29 but excluding 5.4.0-31, sound and mic work without problems
on Lenovo S940

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-driver in Ubuntu.
https://bugs.launchpad.net/bugs/1845797

Title:
  Microphone not detected Lenovo Yoga S940

Status in Linux:
  Confirmed
Status in alsa-driver package in Ubuntu:
  Confirmed
Status in linux package in Ubuntu:
  Incomplete

Bug description:
  Ubuntu 19.10 as well as 19.04 do not detect the microphone in Lenovo
  Yoga S940

  Attached the screen of gnome sound control panel.

  Inxi output:

  System:Host:  Kernel: 5.3.0-13-generic x86_64 bits: 64 Desktop: 
Gnome 3.34.0 Distro: Ubuntu 19.10 (Eoan Ermine) 
  Machine:   Type: Laptop System: LENOVO product: 81Q7 v: Lenovo Yoga 
S940-14IWL serial:  
 Mobo: LENOVO model: LNVNB161216 v: SDK0J40709 WIN serial:  UEFI: LENOVO v: AKCN34WW date: 06/12/2019 
  CPU:   Topology: Quad Core model: Intel Core i7-8565U bits: 64 type: MT 
MCP L2 cache: 8192 KiB 
 Speed: 1161 MHz min/max: 400/4600 MHz Core speeds (MHz): 1: 1161 
2: 1195 3: 1848 4: 976 5: 1041 6: 1209 7: 1061 
 8: 2229 
  Audio: Device-1: Intel Cannon Point-LP High Definition Audio driver: 
snd_hda_intel 
 Sound Server: ALSA v: k5.3.0-13-generic
  --- 
  ProblemType: Bug
  ApportVersion: 2.20.11-0ubuntu7
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  daniele2239 F pulseaudio
  CurrentDesktop: ubuntu:GNOME
  DistroRelease: Ubuntu 19.10
  InstallationDate: Installed on 2019-09-12 (17 days ago)
  InstallationMedia: Ubuntu 19.04 "Disco Dingo" - Release amd64 (20190416)
  MachineType: LENOVO 81Q7
  Package: pulseaudio 1:13.0-1ubuntu1
  PackageArchitecture: amd64
  ProcFB: 0 i915drmfb
  ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-5.3.0-13-generic 
root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=7
  ProcVersionSignature: Ubuntu 5.3.0-13.14-generic 5.3.0
  RelatedPackageVersions:
   linux-restricted-modules-5.3.0-13-generic N/A
   linux-backports-modules-5.3.0-13-generic  N/A
   linux-firmware1.182
  Tags:  eoan
  Uname: Linux 5.3.0-13-generic x86_64
  UpgradeStatus: Upgraded to eoan on 2019-09-21 (8 days ago)
  UserGroups: adm cdrom dip docker lpadmin microk8s plugdev sambashare sudo
  _MarkForUpload: True
  dmi.bios.date: 06/12/2019
  dmi.bios.vendor: LENOVO
  dmi.bios.version: AKCN34WW
  dmi.board.asset.tag: No Asset Tag
  dmi.board.name: LNVNB161216
  dmi.board.vendor: LENOVO
  dmi.board.version: SDK0J40709 WIN
  dmi.chassis.asset.tag: No Asset Tag
  dmi.chassis.type: 10
  dmi.chassis.vendor: LENOVO
  dmi.chassis.version: Lenovo Yoga S940-14IWL
  dmi.modalias: 
dmi:bvnLENOVO:bvrAKCN34WW:bd06/12/2019:svnLENOVO:pn81Q7:pvrLenovoYogaS940-14IWL:rvnLENOVO:rnLNVNB161216:rvrSDK0J40709WIN:cvnLENOVO:ct10:cvrLenovoYogaS940-14IWL:
  dmi.product.family: Yoga S940-14IWL
  dmi.product.name: 81Q7
  dmi.product.sku: LENOVO_MT_81Q7_BU_idea_FM_Yoga S940-14IWL
  dmi.product.version: Lenovo Yoga S940-14IWL
  dmi.sys.vendor: LENOVO

To manage notifications about this bug go to:
https://bugs.launchpad.net/linux/+bug/1845797/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1879960] Re: pcscd doesn't support ActivKEy SIM B/N: 0945423

2020-05-27 Thread Dejan
I tested this Gemalto under VMWAre Workstation on Windows VM and Client
App see the Reader and then Smart Card Info. So there is something
incorrect on the ActivKey support in pcscd?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pcsc-lite in Ubuntu.
https://bugs.launchpad.net/bugs/1879960

Title:
  pcscd doesn't support ActivKEy SIM B/N: 0945423

Status in pcsc-lite package in Ubuntu:
  New

Bug description:
  I have ActivKey SIM B/N: 0945423 (from banking authorization) which is not 
recognized by pcscd. Since it is not recognized, it is also not recognized by 
VMware Workstation VM which runs Windows. Banking software running in windows 
doesn't see the key and can't authenticate me.
  Few years ago, this was working on Ubuntu 18.04, so it must be something in 
version between.
  After restart of the pcscd service, USB key shows green light, but few 
seconds after it goes to red.

  sudo service pcscd status
  ● pcscd.service - PC/SC Smart Card Daemon
   Loaded: loaded (/lib/systemd/system/pcscd.service; indirect; vendor 
preset: enabled)
   Active: active (running) since Thu 2020-05-21 15:47:40 CEST; 24s ago
  TriggeredBy: ● pcscd.socket
 Docs: man:pcscd(8)
 Main PID: 230408 (pcscd)
Tasks: 5 (limit: 57614)
   Memory: 1.9M
   CGroup: /system.slice/pcscd.service
   └─230408 /usr/sbin/pcscd --foreground --auto-exit

  svi 21 15:47:40 rodigerlaptop1 systemd[1]: Started PC/SC Smart Card Daemon.
  svi 21 15:48:01 rodigerlaptop1 pcscd[230408]:  
ccid_usb.c:857:WriteUSB() write failed (1/12): -4 LIBUSB_ERROR_NO_DEVICE
  svi 21 15:48:04 rodigerlaptop1 pcscd[230408]: 02310986 
commands.c:249:CmdPowerOn Card absent or mute
  svi 21 15:48:04 rodigerlaptop1 pcscd[230408]: 0264 
commands.c:249:CmdPowerOn Card absent or mute
  svi 21 15:48:04 rodigerlaptop1 pcscd[230408]: 0343 
commands.c:249:CmdPowerOn Card absent or mute
  svi 21 15:48:04 rodigerlaptop1 pcscd[230408]: 0005 
ifdhandler.c:1221:IFDHPowerICC() PowerUp failed
  svi 21 15:48:04 rodigerlaptop1 pcscd[230408]: 0003 
eventhandler.c:305:EHStatusHandlerThread() Error powering up card: 2148532246 
0x80100016

  Result of pcsc_scan
  sudo pcsc_scan 
  Using reader plug'n play mechanism
  Scanning present readers...
  Waiting for the first reader...found one
  Scanning present readers...
  0: ActivIdentity Activkey_Sim [CCID Bulk Interface] 00 00
   
  Thu May 21 15:44:16 2020
   Reader 0: ActivIdentity Activkey_Sim [CCID Bulk Interface] 00 00
Event number: 0
Card state: Card inserted, Unresponsive card, 

  So USB key is visible

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: pcscd 1.8.26-3
  ProcVersionSignature: Ubuntu 5.4.0-31.35-generic 5.4.34
  Uname: Linux 5.4.0-31-generic x86_64
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair nvidia_modeset 
nvidia
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: skip
  CurrentDesktop: ubuntu:GNOME
  Date: Thu May 21 15:38:57 2020
  SourcePackage: pcsc-lite
  UpgradeStatus: Upgraded to focal on 2020-05-11 (10 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pcsc-lite/+bug/1879960/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1879960] Re: pcscd doesn't support ActivKEy SIM B/N: 0945423

2020-05-27 Thread Dejan
Hi, here is the scan status for different Gemalto USB Key. I think this
is working OK?

sudo pcsc_scan 
Using reader plug'n play mechanism
Scanning present readers...
Waiting for the first reader...found one
Scanning present readers...
0: Gemalto USB Shell Token V2 (9BB8D562) 00 00
 
Wed May 27 07:58:26 2020
 Reader 0: Gemalto USB Shell Token V2 (9BB8D562) 00 00
  Event number: 0
  Card state: Card inserted, 
  ATR: 3B 7F 96 00 00 80 31 80 65 B0 84 41 3D F6 12 0F FE 82 90 00

ATR: 3B 7F 96 00 00 80 31 80 65 B0 84 41 3D F6 12 0F FE 82 90 00
+ TS = 3B --> Direct Convention
+ T0 = 7F, Y(1): 0111, K: 15 (historical bytes)
  TA(1) = 96 --> Fi=512, Di=32, 16 cycles/ETU
25 bits/s at 4 MHz, fMax for Fi = 5 MHz => 312500 bits/s
  TB(1) = 00 --> VPP is not electrically connected
  TC(1) = 00 --> Extra guard time: 0
+ Historical bytes: 80 31 80 65 B0 84 41 3D F6 12 0F FE 82 90 00
  Category indicator byte: 80 (compact TLV data object)
Tag: 3, len: 1 (card service data byte)
  Card service data byte: 80
- Application selection: by full DF name
- EF.DIR and EF.ATR access services: by GET RECORD(s) command
- Card with MF
Tag: 6, len: 5 (pre-issuing data)
  Data: B0 84 41 3D F6
Tag: 1, len: 2 (country code, ISO 3166-1)
  Country code: 0F FE
Tag: 8, len: 2 (status indicator)
  SW: 9000

Possibly identified card (using /usr/share/pcsc/smartcard_list.txt):
3B 7F 96 00 00 80 31 80 65 B0 84 41 3D F6 12 0F FE 82 90 00
3B 7F .. 00 00 80 31 80 65 B0 .. .. .. .. 12 0F FE 82 90 00
IDPrime MD 8840, 3840, 3810, 840 and 830 Cards T=0
3B 7F 96 00 00 80 31 80 65 B0 84 41 3D F6 12 0F FE 82 90 00
Gemalto IDPrime MD


** Attachment added: "log3.txt"
   
https://bugs.launchpad.net/ubuntu/+source/pcsc-lite/+bug/1879960/+attachment/5377222/+files/log3.txt

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pcsc-lite in Ubuntu.
https://bugs.launchpad.net/bugs/1879960

Title:
  pcscd doesn't support ActivKEy SIM B/N: 0945423

Status in pcsc-lite package in Ubuntu:
  New

Bug description:
  I have ActivKey SIM B/N: 0945423 (from banking authorization) which is not 
recognized by pcscd. Since it is not recognized, it is also not recognized by 
VMware Workstation VM which runs Windows. Banking software running in windows 
doesn't see the key and can't authenticate me.
  Few years ago, this was working on Ubuntu 18.04, so it must be something in 
version between.
  After restart of the pcscd service, USB key shows green light, but few 
seconds after it goes to red.

  sudo service pcscd status
  ● pcscd.service - PC/SC Smart Card Daemon
   Loaded: loaded (/lib/systemd/system/pcscd.service; indirect; vendor 
preset: enabled)
   Active: active (running) since Thu 2020-05-21 15:47:40 CEST; 24s ago
  TriggeredBy: ● pcscd.socket
 Docs: man:pcscd(8)
 Main PID: 230408 (pcscd)
Tasks: 5 (limit: 57614)
   Memory: 1.9M
   CGroup: /system.slice/pcscd.service
   └─230408 /usr/sbin/pcscd --foreground --auto-exit

  svi 21 15:47:40 rodigerlaptop1 systemd[1]: Started PC/SC Smart Card Daemon.
  svi 21 15:48:01 rodigerlaptop1 pcscd[230408]:  
ccid_usb.c:857:WriteUSB() write failed (1/12): -4 LIBUSB_ERROR_NO_DEVICE
  svi 21 15:48:04 rodigerlaptop1 pcscd[230408]: 02310986 
commands.c:249:CmdPowerOn Card absent or mute
  svi 21 15:48:04 rodigerlaptop1 pcscd[230408]: 0264 
commands.c:249:CmdPowerOn Card absent or mute
  svi 21 15:48:04 rodigerlaptop1 pcscd[230408]: 0343 
commands.c:249:CmdPowerOn Card absent or mute
  svi 21 15:48:04 rodigerlaptop1 pcscd[230408]: 0005 
ifdhandler.c:1221:IFDHPowerICC() PowerUp failed
  svi 21 15:48:04 rodigerlaptop1 pcscd[230408]: 0003 
eventhandler.c:305:EHStatusHandlerThread() Error powering up card: 2148532246 
0x80100016

  Result of pcsc_scan
  sudo pcsc_scan 
  Using reader plug'n play mechanism
  Scanning present readers...
  Waiting for the first reader...found one
  Scanning present readers...
  0: ActivIdentity Activkey_Sim [CCID Bulk Interface] 00 00
   
  Thu May 21 15:44:16 2020
   Reader 0: ActivIdentity Activkey_Sim [CCID Bulk Interface] 00 00
Event number: 0
Card state: Card inserted, Unresponsive card, 

  So USB key is visible

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: pcscd 1.8.26-3
  ProcVersionSignature: Ubuntu 5.4.0-31.35-generic 5.4.34
  Uname: Linux 5.4.0-31-generic x86_64
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair nvidia_modeset 
nvidia
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: skip
  CurrentDesktop: ubuntu:GNOME
  Date: Thu May 21 15:38:57 2020
  SourcePackage: pcsc-lite
  UpgradeStatus: Upgraded to focal on 2020-05-11 (10 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pcsc-lite/+bug/1879960/+subscriptions

-- 
Mailing list: 

[Touch-packages] [Bug 1868520] Re: Wayland apps fail to run with zwp_linux_dmabuf error (failed to import supplied dmabufs: Unsupported buffer format 808669784 [DRM_FORMAT_XRGB2101010]) (or 808665665

2020-05-27 Thread Daniel van Vugt
I can't test this right now but in theory the fix just got released...

mesa (20.0.7-1ubuntu1) groovy; urgency=medium

  * Merge from Debian.

 -- Timo Aaltonen   Mon, 25 May 2020 13:02:32 +0300

** Changed in: mesa (Ubuntu)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1868520

Title:
  Wayland apps fail to run with zwp_linux_dmabuf error (failed to import
  supplied dmabufs: Unsupported buffer format 808669784
  [DRM_FORMAT_XRGB2101010]) (or 808665665 [DRM_FORMAT_ABGR2101010])

Status in Mesa:
  Fix Released
Status in MPV:
  Unknown
Status in Mutter:
  Fix Released
Status in mesa package in Ubuntu:
  Fix Released
Status in mutter package in Ubuntu:
  Won't Fix

Bug description:
  [Impact]

  Wayland apps fail to start in focal with:

  error 7: failed to import supplied dmabufs: Unsupported buffer format
  808669784

  [Test Case]

  Just run: es2gears_wayland

  [Regression Potential]

  Medium/unknown. The fix is quite new.

  [Other Info]

  When attempting to run es2gears_wayland against GNOME Shell, it fails
  with:

  EGL_VERSION = 1.5
  vertex shader info:
  fragment shader info:
  info:
  [destroyed object]: error 7: failed to import supplied dmabufs: Unsupported 
buffer format 808669784

  The full wayland protocol trace is:

  [3104432.914]  -> wl_display@1.get_registry(new id wl_registry@2)
  [3104432.972]  -> wl_disp...@1.sync(new id wl_callback@3)
  [3104433.139] wl_display@1.delete_id(3)
  [3104433.175] wl_registry@2.global(1, "wl_drm", 2)
  [3104433.207] wl_registry@2.global(2, "wl_compositor", 4)
  [3104433.240]  -> wl_regis...@2.bind(2, "wl_compositor", 1, new id 
[unknown]@4)
  [3104433.285] wl_registry@2.global(3, "wl_shm", 1)
  [3104433.316] wl_registry@2.global(4, "wl_output", 2)
  [3104433.347] wl_registry@2.global(5, "zxdg_output_manager_v1", 3)
  [3104433.376] wl_registry@2.global(6, "wl_data_device_manager", 3)
  [3104433.404] wl_registry@2.global(7, "gtk_primary_selection_device_manager", 
1)
  [3104433.432] wl_registry@2.global(8, "wl_subcompositor", 1)
  [3104433.459] wl_registry@2.global(9, "xdg_wm_base", 2)
  [3104433.485] wl_registry@2.global(10, "zxdg_shell_v6", 1)
  [3104433.513] wl_registry@2.global(11, "wl_shell", 1)
  [3104433.542]  -> wl_regis...@2.bind(11, "wl_shell", 1, new id [unknown]@5)
  [3104433.582] wl_registry@2.global(12, "gtk_shell1", 3)
  [3104433.611] wl_registry@2.global(13, "wp_viewporter", 1)
  [3104433.640] wl_registry@2.global(14, "zwp_pointer_gestures_v1", 1)
  [3104433.670] wl_registry@2.global(15, "zwp_tablet_manager_v2", 1)
  [3104433.699] wl_registry@2.global(16, "wl_seat", 5)
  [3104433.728] wl_registry@2.global(17, "zwp_relative_pointer_manager_v1", 1)
  [3104433.758] wl_registry@2.global(18, "zwp_pointer_constraints_v1", 1)
  [3104433.787] wl_registry@2.global(19, "zxdg_exporter_v1", 1)
  [3104433.816] wl_registry@2.global(20, "zxdg_importer_v1", 1)
  [3104433.846] wl_registry@2.global(21, "zwp_linux_dmabuf_v1", 3)
  [3104433.875] wl_registry@2.global(22, 
"zwp_keyboard_shortcuts_inhibit_manager_v1", 1)
  [3104433.904] wl_registry@2.global(23, "zwp_text_input_manager_v3", 1)
  [3104433.933] wl_registry@2.global(24, "gtk_text_input_manager", 1)
  [3104433.960] wl_registry@2.global(26, "wl_eglstream_controller", 1)
  [3104433.991] wl_callb...@3.done(3421)
  [3104436.266]  -> wl_display@1.get_registry(new id wl_registry@3)
  [3104436.279]  -> wl_disp...@1.sync(new id wl_callback@6)
  [3104436.647] wl_display@1.delete_id(6)
  [3104436.672] wl_registry@3.global(1, "wl_drm", 2)
  [3104436.726]  -> wl_regis...@3.bind(1, "wl_drm", 2, new id [unknown]@7)
  [3104436.744] wl_registry@3.global(2, "wl_compositor", 4)
  [3104436.780] wl_registry@3.global(3, "wl_shm", 1)
  [3104436.790] wl_registry@3.global(4, "wl_output", 2)
  [3104436.803] wl_registry@3.global(5, "zxdg_output_manager_v1", 3)
  [3104436.833] wl_registry@3.global(6, "wl_data_device_manager", 3)
  [3104436.868] wl_registry@3.global(7, "gtk_primary_selection_device_manager", 
1)
  [3104436.882] wl_registry@3.global(8, "wl_subcompositor", 1)
  [3104436.898] wl_registry@3.global(9, "xdg_wm_base", 2)
  [3104436.913] wl_registry@3.global(10, "zxdg_shell_v6", 1)
  [3104436.925] wl_registry@3.global(11, "wl_shell", 1)
  [3104436.937] wl_registry@3.global(12, "gtk_shell1", 3)
  [3104436.950] wl_registry@3.global(13, "wp_viewporter", 1)
  [3104436.963] wl_registry@3.global(14, "zwp_pointer_gestures_v1", 1)
  [3104436.976] wl_registry@3.global(15, "zwp_tablet_manager_v2", 1)
  [3104436.990] wl_registry@3.global(16, "wl_seat", 5)
  [3104437.001] wl_registry@3.global(17, "zwp_relative_pointer_manager_v1", 1)
  [3104437.013] wl_registry@3.global(18, "zwp_pointer_constraints_v1", 1)
  [3104437.026] wl_registry@3.global(19, "zxdg_exporter_v1", 1)
  [3104437.038] wl_registry@3.global(20, "zxdg_importer_v1", 1)
  [3104437.051]